"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _get2 = _interopRequireDefault(require("lodash/get"));

var _compose2 = _interopRequireDefault(require("recompose/compose"));

var React = _interopRequireWildcard(require("react"));

var _AutoComplete = require("webiny-ui/AutoComplete");

var _components = require("webiny-app/components");

var _graphqlTag = _interopRequireDefault(require("graphql-tag"));

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2.default)(["\n    query SearchTags($search: String!) {\n        cms {\n            tags: searchTags(query: $search) {\n                data\n            }\n        }\n    }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var searchTags = (0, _graphqlTag.default)(_templateObject());

var _default = (0, _compose2.default)((0, _components.withAutoComplete)({
  response: function response(data) {
    return {
      data: (0, _get2.default)(data, "cms.tags.data", [])
    };
  },
  search: function search(query) {
    return query;
  },
  query: searchTags
}))(function (props) {
  return React.createElement(_AutoComplete.MultiAutoComplete, (0, _extends2.default)({
    label: "Tags",
    useSimpleValues: true,
    allowFreeInput: true
  }, props));
});

exports.default = _default;
//# sourceMappingURL=TagsMultiAutoComplete.js.map