"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _get2 = _interopRequireDefault(require("lodash/get"));

var _mapProps2 = _interopRequireDefault(require("recompose/mapProps"));

var _withHandlers2 = _interopRequireDefault(require("recompose/withHandlers"));

var _compose2 = _interopRequireDefault(require("recompose/compose"));

var _reactApollo = require("react-apollo");

var _graphqlTag = _interopRequireDefault(require("graphql-tag"));

var _getPagePreviewUrl2 = _interopRequireDefault(require("./withCmsSettings/getPagePreviewUrl"));

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2.default)(["\n                {\n                    settings {\n                        cms {\n                            domain\n                        }\n                    }\n                }\n            "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var _default = function _default() {
  return (0, _compose2.default)((0, _reactApollo.graphql)((0, _graphqlTag.default)(_templateObject()), {
    name: "cmsSettings"
  }), (0, _withHandlers2.default)({
    getPagePreviewUrl: function getPagePreviewUrl(_ref) {
      var cmsSettings = _ref.cmsSettings;
      return function (page) {
        var domain = (0, _get2.default)(cmsSettings, "settings.cms.domain");
        return (0, _getPagePreviewUrl2.default)({
          page: page,
          domain: domain
        });
      };
    }
  }), (0, _mapProps2.default)(function (_ref2) {
    var getPagePreviewUrl = _ref2.getPagePreviewUrl,
        cmsSettings = _ref2.cmsSettings,
        rest = (0, _objectWithoutProperties2.default)(_ref2, ["getPagePreviewUrl", "cmsSettings"]);
    return (0, _objectSpread2.default)({}, rest, {
      cmsSettings: {
        data: (0, _get2.default)(cmsSettings, "settings.cms"),
        getPagePreviewUrl: getPagePreviewUrl
      }
    });
  }));
};

exports.default = _default;
//# sourceMappingURL=withCmsSettings.js.map