"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _trimEnd2 = _interopRequireDefault(require("lodash/trimEnd"));

var _default = function _default(_ref) {
  var _ref$page = _ref.page,
      url = _ref$page.url,
      id = _ref$page.id,
      domain = _ref.domain;

  if (!domain) {
    return url;
  }

  var previewUrl = "//"; // Removes protocol from the beggining of the URL.

  previewUrl += domain.replace(/(^\w+:|^)\/\//, "");
  previewUrl = (0, _trimEnd2.default)(previewUrl, "/");
  previewUrl += url;
  previewUrl += "?preview=" + id;
  return previewUrl;
};

exports.default = _default;
//# sourceMappingURL=getPagePreviewUrl.js.map