"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _react = _interopRequireDefault(require("react"));

var _cloneDeep = _interopRequireDefault(require("lodash/cloneDeep"));

var _webinyPlugins = require("webiny-plugins");

var _Image = require("webiny-ui/Image");

var _default = function _default(el) {
  (0, _webinyPlugins.registerPlugins)({
    id: el.id,
    name: "cms-saved-block-" + el.id,
    type: "cms-block",
    title: el.name,
    category: el.category,
    tags: ["saved"],
    image: el.preview,
    create: function create() {
      return (0, _cloneDeep.default)((0, _objectSpread2.default)({}, el.content, {
        source: el.id
      }));
    },
    preview: function preview() {
      return _react.default.createElement(_Image.Image, {
        src: el.preview.src,
        alt: el.name,
        style: {
          width: "100%",
          height: "auto"
        }
      });
    }
  });
};

exports.default = _default;
//# sourceMappingURL=createBlockPlugin.js.map