"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _webinyForm = require("webiny-form");

var _Input = require("webiny-ui/Input");

var _Typography = require("webiny-ui/Typography");

var _Grid = require("webiny-ui/Grid");

var _Button = require("webiny-ui/Button");

var _PagesAutoComplete = _interopRequireDefault(require("webiny-app-cms/admin/components/PagesAutoComplete"));

var _Elevation = require("webiny-ui/Elevation");

var LinkForm = function LinkForm(_ref) {
  var data = _ref.data,
      onSubmit = _ref.onSubmit,
      onCancel = _ref.onCancel;
  return React.createElement(_Elevation.Elevation, {
    z: 4
  }, React.createElement(_webinyForm.Form, {
    data: data,
    onSubmit: onSubmit
  }, function (_ref2) {
    var submit = _ref2.submit,
        Bind = _ref2.Bind;
    return React.createElement(React.Fragment, null, React.createElement(_Grid.Grid, null, React.createElement(_Grid.Cell, {
      span: 12
    }, React.createElement(_Typography.Typography, {
      use: "overline"
    }, "Page menu item"))), React.createElement(_Grid.Grid, null, React.createElement(_Grid.Cell, {
      span: 12
    }, React.createElement(Bind, {
      name: "title",
      validators: ["required"]
    }, React.createElement(_Input.Input, {
      label: "Title"
    })))), React.createElement(_Grid.Grid, null, React.createElement(_Grid.Cell, {
      span: 12
    }, React.createElement(Bind, {
      name: "page",
      validators: ["required"]
    }, React.createElement(_PagesAutoComplete.default, {
      label: "Page"
    })))), React.createElement(_Grid.Grid, null, React.createElement(_Grid.Cell, {
      span: 12
    }, React.createElement(_Button.ButtonSecondary, {
      onClick: onCancel
    }, "Cancel"), React.createElement(_Button.ButtonPrimary, {
      onClick: submit,
      style: {
        float: "right"
      }
    }, "Save menu item"))));
  }));
};

var _default = LinkForm;
exports.default = _default;
//# sourceMappingURL=PageForm.js.map