"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _roundBallot24px = require("@svgr/webpack!webiny-app-cms/admin/assets/round-ballot-24px.svg");

var _webinyAppSecurity = require("webiny-app-security");

var _default = [{
  name: "cms-menu",
  type: "menu",
  render: function render(_ref) {
    var Menu = _ref.Menu;

    var _ref2 = (0, _webinyAppSecurity.hasRoles)({
      menus: ["cms-menus"],
      categories: ["cms-categories"],
      editor: ["cms-editor"]
    }),
        menus = _ref2.menus,
        categories = _ref2.categories,
        editor = _ref2.editor;

    if (menus || categories || editor) {
      return _react.default.createElement(Menu, {
        label: "Content",
        icon: _react.default.createElement(_roundBallot24px.ReactComponent, null)
      }, _react.default.createElement(Menu, {
        label: "Pages"
      }, categories && _react.default.createElement(Menu, {
        label: "Categories",
        route: "Cms.Categories"
      }), editor && _react.default.createElement(Menu, {
        label: "Pages",
        route: "Cms.Pages"
      }), menus && _react.default.createElement(Menu, {
        label: "Menus",
        route: "Cms.Menus"
      })));
    }

    return null;
  }
}];
exports.default = _default;
//# sourceMappingURL=menus.js.map