"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _Header = _interopRequireDefault(require("./Header"));

var _RevisionSelector = _interopRequireDefault(require("./revisionSelector/RevisionSelector"));

var _PublishRevision = _interopRequireDefault(require("./publishRevision/PublishRevision"));

var _EditRevision = _interopRequireDefault(require("./editRevision/EditRevision"));

var _DeletePage = _interopRequireDefault(require("./deletePage/DeletePage"));

var _default = [{
  name: "cms-page-details-header",
  type: "cms-page-details-revision-content-preview",
  render: function render(props) {
    return React.createElement(_Header.default, props);
  }
}, {
  name: "cms-page-details-revision-selector",
  type: "cms-page-details-header-left",
  render: function render(props) {
    return React.createElement(_RevisionSelector.default, props);
  }
}, {
  name: "cms-page-details-header-publish",
  type: "cms-page-details-header-right",
  render: function render(props) {
    return React.createElement(_PublishRevision.default, props);
  }
}, {
  name: "cms-page-details-header-edit",
  type: "cms-page-details-header-right",
  render: function render(props) {
    return React.createElement(_EditRevision.default, props);
  }
}, {
  name: "cms-page-details-header-delete",
  type: "cms-page-details-header-right",
  render: function render(props) {
    return React.createElement(_DeletePage.default, props);
  }
}];
exports.default = _default;
//# sourceMappingURL=index.js.map