"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var React = _interopRequireWildcard(require("react"));

var _store = _interopRequireDefault(require("store"));

var _observe = _interopRequireDefault(require("store/plugins/observe"));

_store.default.addPlugin(_observe.default);

var LOCAL_STORAGE_KEY = "webiny_cms_page_zoom";

var Zoom =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(Zoom, _React$Component);

  function Zoom() {
    var _this;

    (0, _classCallCheck2.default)(this, Zoom);
    _this = (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(Zoom).call(this));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "watchId", void 0);
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "setZoomLevel", function (zoom) {
      _store.default.set(LOCAL_STORAGE_KEY, zoom);
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "getZoomLevel", function () {
      var zoom = _store.default.get(LOCAL_STORAGE_KEY);

      if (!zoom) {
        switch (true) {
          case window.innerWidth < 1600:
            return 0.75;

          case window.innerWidth < 1200:
            return 0.5;

          default:
            return 1;
        }
      }

      return zoom;
    });
    _this.state = {
      zoom: _this.getZoomLevel()
    };
    return _this;
  }

  (0, _createClass2.default)(Zoom, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this2 = this;

      this.watchId = _store.default.observe(LOCAL_STORAGE_KEY,
      /*#__PURE__*/
      function () {
        var _ref = (0, _asyncToGenerator2.default)(
        /*#__PURE__*/
        _regenerator.default.mark(function _callee(zoom) {
          return _regenerator.default.wrap(function _callee$(_context) {
            while (1) {
              switch (_context.prev = _context.next) {
                case 0:
                  _this2.setState({
                    zoom: parseFloat(zoom)
                  });

                case 1:
                case "end":
                  return _context.stop();
              }
            }
          }, _callee, this);
        }));

        return function (_x) {
          return _ref.apply(this, arguments);
        };
      }());
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      _store.default.unobserve(this.watchId);
    }
  }, {
    key: "render",
    value: function render() {
      return this.props.children({
        zoom: this.state.zoom,
        setZoom: this.setZoomLevel
      });
    }
  }]);
  return Zoom;
}(React.Component);

var _default = Zoom;
exports.default = _default;
//# sourceMappingURL=Zoom.js.map