"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _AdminLayout = require("webiny-admin/components/AdminLayout");

var _Categories = _interopRequireDefault(require("webiny-app-cms/admin/views/Categories/Categories"));

var _Menus = _interopRequireDefault(require("webiny-app-cms/admin/views/Menus/Menus"));

var _Pages = _interopRequireDefault(require("webiny-app-cms/admin/views/Pages/Pages"));

var _Editor = _interopRequireDefault(require("webiny-app-cms/admin/views/Pages/Editor"));

var _components = require("webiny-app-security/components");

var _reactHelmet = _interopRequireDefault(require("react-helmet"));

var _default = [{
  name: "route-cms-categories",
  type: "route",
  route: {
    name: "Cms.Categories",
    path: "/cms/categories",
    render: function render() {
      return _react.default.createElement(_components.SecureRoute, {
        roles: ["cms-categories"]
      }, _react.default.createElement(_reactHelmet.default, null, _react.default.createElement("title", null, "CMS - Categories")), _react.default.createElement(_AdminLayout.AdminLayout, null, _react.default.createElement(_Categories.default, null)));
    }
  }
}, {
  name: "route-cms-menus",
  type: "route",
  route: {
    name: "Cms.Menus",
    path: "/cms/menus",
    exact: true,
    render: function render() {
      return _react.default.createElement(_components.SecureRoute, {
        roles: ["cms-menus"]
      }, _react.default.createElement(_reactHelmet.default, null, _react.default.createElement("title", null, "CMS - Menus")), _react.default.createElement(_AdminLayout.AdminLayout, null, _react.default.createElement(_Menus.default, null)));
    }
  }
}, {
  name: "route-cms-pages",
  type: "route",
  route: {
    name: "Cms.Pages",
    path: "/cms/pages",
    render: function render() {
      return _react.default.createElement(_components.SecureRoute, {
        roles: ["cms-editor"]
      }, _react.default.createElement(_reactHelmet.default, null, _react.default.createElement("title", null, "CMS - Pages")), _react.default.createElement(_AdminLayout.AdminLayout, null, _react.default.createElement(_Pages.default, null)));
    }
  }
}, {
  name: "route-cms-editor",
  type: "route",
  route: {
    name: "Cms.Editor",
    path: "/cms/editor/:id",
    render: function render() {
      return _react.default.createElement(_components.SecureRoute, {
        roles: ["cms-editor"]
      }, _react.default.createElement(_reactHelmet.default, null, _react.default.createElement("title", null, "CMS - Edit page")), _react.default.createElement(_Editor.default, null));
    }
  }
}];
exports.default = _default;
//# sourceMappingURL=routes.js.map