"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var React = _interopRequireWildcard(require("react"));

var _webinyForm = require("webiny-form");

var _Grid = require("webiny-ui/Grid");

var _Input = require("webiny-ui/Input");

var _Button = require("webiny-ui/Button");

var _MenuItems = _interopRequireDefault(require("./MenusForm/MenuItems"));

var _Progress = require("webiny-ui/Progress");

var _SimpleForm = require("webiny-admin/components/SimpleForm");

var MenusForm =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(MenusForm, _React$Component);

  function MenusForm() {
    (0, _classCallCheck2.default)(this, MenusForm);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(MenusForm).apply(this, arguments));
  }

  (0, _createClass2.default)(MenusForm, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          data = _this$props.data,
          invalidFields = _this$props.invalidFields,
          onSubmit = _this$props.onSubmit,
          loading = _this$props.loading; // TODO: onSubmit - remove attributes added by the Tree plugin

      return React.createElement(_webinyForm.Form, {
        data: data || {
          items: []
        },
        invalidFields: invalidFields,
        onSubmit: onSubmit
      }, function (_ref) {
        var data = _ref.data,
            form = _ref.form,
            Bind = _ref.Bind;
        return React.createElement(_SimpleForm.SimpleForm, null, loading && React.createElement(_Progress.CircularProgress, null), React.createElement(_SimpleForm.SimpleFormContent, null, React.createElement(_Grid.Grid, null, React.createElement(_Grid.Cell, {
          span: 6
        }, React.createElement(Bind, {
          name: "title",
          validators: ["required"]
        }, React.createElement(_Input.Input, {
          label: "Name"
        }))), React.createElement(_Grid.Cell, {
          span: 6
        }, React.createElement(Bind, {
          name: "slug",
          validators: ["required"]
        }, React.createElement(_Input.Input, {
          disabled: data.id,
          label: "Slug"
        }))), React.createElement(_Grid.Cell, {
          span: 12
        }, React.createElement(Bind, {
          name: "description"
        }, React.createElement(_Input.Input, {
          rows: 5,
          label: "Description"
        })))), React.createElement(Bind, {
          name: "items"
        }, function (props) {
          return React.createElement(_MenuItems.default, (0, _extends2.default)({
            menuForm: form
          }, props));
        })), React.createElement(_SimpleForm.SimpleFormFooter, null, React.createElement(_Button.ButtonPrimary, {
          type: "primary",
          onClick: form.submit,
          align: "right"
        }, "Save menu")));
      });
    }
  }]);
  return MenusForm;
}(React.Component);

var _default = MenusForm;
exports.default = _default;
//# sourceMappingURL=MenusForm.js.map