"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _get2 = _interopRequireDefault(require("lodash/get"));

var _withHandlers2 = _interopRequireDefault(require("recompose/withHandlers"));

var _compose2 = _interopRequireDefault(require("recompose/compose"));

var React = _interopRequireWildcard(require("react"));

var _reactApollo = require("react-apollo");

var _SplitView = require("webiny-admin/components/SplitView");

var _FloatingActionButton = require("webiny-admin/components/FloatingActionButton");

var _components = require("webiny-app/components");

var _components2 = require("webiny-admin/components");

var _PagesDataList = _interopRequireDefault(require("./PagesDataList"));

var _PageDetails = _interopRequireDefault(require("./PageDetails"));

var _CategoriesDialog = _interopRequireDefault(require("./CategoriesDialog"));

var _pages = require("webiny-app-cms/admin/graphql/pages");

var Pages =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(Pages, _React$Component);

  function Pages() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, Pages);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(Pages)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "state", {
      showCategoriesDialog: false
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "onSelect", function (category) {
      _this.hideCategoriesDialog();

      _this.props.createPage(category.id);
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "showCategoriesDialog", function () {
      _this.setState({
        showCategoriesDialog: true
      });
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "hideCategoriesDialog", function () {
      _this.setState({
        showCategoriesDialog: false
      });
    });
    return _this;
  }

  (0, _createClass2.default)(Pages, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var dataList = this.props.dataList;
      return React.createElement(React.Fragment, null, React.createElement(_CategoriesDialog.default, {
        open: this.state.showCategoriesDialog,
        onClose: function onClose() {
          return _this2.setState({
            showCategoriesDialog: false
          });
        },
        onSelect: this.onSelect
      }), React.createElement(_SplitView.SplitView, null, React.createElement(_SplitView.LeftPanel, {
        span: 4
      }, React.createElement(_PagesDataList.default, {
        dataList: dataList
      })), React.createElement(_SplitView.RightPanel, {
        span: 8
      }, React.createElement(_PageDetails.default, {
        refreshPages: dataList.refresh
      }))), React.createElement(_FloatingActionButton.FloatingActionButton, {
        onClick: this.showCategoriesDialog
      }));
    }
  }]);
  return Pages;
}(React.Component);

var _default = (0, _compose2.default)((0, _components2.withSnackbar)(), (0, _components.withRouter)(), (0, _reactApollo.graphql)(_pages.createPage, {
  name: "createMutation"
}), (0, _components.withDataList)({
  query: _pages.listPages,
  response: function response(data) {
    return (0, _get2.default)(data, "cms.pages", {});
  },
  variables: {
    sort: {
      savedOn: -1
    }
  }
}), (0, _withHandlers2.default)({
  createPage: function createPage(_ref) {
    var createMutation = _ref.createMutation,
        router = _ref.router,
        showSnackbar = _ref.showSnackbar;
    return (
      /*#__PURE__*/
      function () {
        var _ref2 = (0, _asyncToGenerator2.default)(
        /*#__PURE__*/
        _regenerator.default.mark(function _callee(category) {
          var res, data;
          return _regenerator.default.wrap(function _callee$(_context) {
            while (1) {
              switch (_context.prev = _context.next) {
                case 0:
                  _context.prev = 0;
                  _context.next = 3;
                  return createMutation({
                    variables: {
                      category: category
                    }
                  });

                case 3:
                  res = _context.sent;
                  data = res.data.cms.page.data;
                  router.goToRoute({
                    name: "Cms.Editor",
                    params: {
                      id: data.id
                    }
                  });
                  _context.next = 11;
                  break;

                case 8:
                  _context.prev = 8;
                  _context.t0 = _context["catch"](0);
                  showSnackbar(_context.t0.message);

                case 11:
                case "end":
                  return _context.stop();
              }
            }
          }, _callee, this, [[0, 8]]);
        }));

        return function (_x) {
          return _ref2.apply(this, arguments);
        };
      }()
    );
  }
}))(Pages);

exports.default = _default;
//# sourceMappingURL=Pages.js.map