"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CmsContextConsumer = exports.CmsContextProvider = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var React = _interopRequireWildcard(require("react"));

var _React$createContext = React.createContext({}),
    Provider = _React$createContext.Provider,
    Consumer = _React$createContext.Consumer;

var CmsContextProvider = function CmsContextProvider(_ref) {
  var children = _ref.children,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["children"]);
  return React.createElement(Provider, {
    value: rest
  }, children);
};

exports.CmsContextProvider = CmsContextProvider;

var CmsContextConsumer = function CmsContextConsumer(_ref2) {
  var children = _ref2.children;
  return React.createElement(Consumer, null, function (props) {
    return React.cloneElement(children, {
      cms: props
    });
  });
};

exports.CmsContextConsumer = CmsContextConsumer;
//# sourceMappingURL=CmsContext.js.map