"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = withCms;

var React = _interopRequireWildcard(require("react"));

var _CmsContext = require("./CmsContext");

function withCms() {
  return function decorator(Component) {
    return function withCmsComponent(props) {
      return React.createElement(_CmsContext.CmsContextConsumer, null, React.createElement(Component, props));
    };
  };
}
//# sourceMappingURL=withCms.js.map