"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _isEqual2 = _interopRequireDefault(require("lodash/isEqual"));

var _redux = require("webiny-app-cms/editor/redux");

var _selectors = require("webiny-app-cms/editor/selectors");

var _default = (0, _redux.connect)(function (state, props) {
  var element = (0, _selectors.getElement)(state, props.elementId);

  if (props.withChildElements) {
    return {
      element: (0, _objectSpread2.default)({}, element, {
        elements: element.elements.map(function (id) {
          return (0, _selectors.getElement)(state, id);
        })
      })
    };
  }

  return {
    element: element
  };
}, null, null, {
  areStatePropsEqual: _isEqual2.default
})(function (_ref) {
  var children = _ref.children,
      element = _ref.element;

  if (typeof children === "function") {
    return children(element);
  }

  return children;
});

exports.default = _default;
//# sourceMappingURL=ConnectedElement.js.map