"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _Center = _interopRequireDefault(require("./DropZone/Center"));

var _Horizontal = _interopRequireDefault(require("./DropZone/Horizontal"));

var _Vertical = _interopRequireDefault(require("./DropZone/Vertical"));

var _default = {
  Above: function Above(props) {
    return _react.default.createElement(_Horizontal.default, props);
  },
  Below: function Below(props) {
    return _react.default.createElement(_Horizontal.default, (0, _extends2.default)({}, props, {
      below: true
    }));
  },
  Left: function Left(props) {
    return _react.default.createElement(_Vertical.default, props);
  },
  Right: function Right(props) {
    return _react.default.createElement(_Vertical.default, (0, _extends2.default)({}, props, {
      last: true
    }));
  },
  Center: _Center.default
};
exports.default = _default;
//# sourceMappingURL=DropZone.js.map