"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _pure2 = _interopRequireDefault(require("recompose/pure"));

var _react = _interopRequireDefault(require("react"));

var _redux = require("webiny-app-cms/editor/redux");

var _webinyPlugins = require("webiny-plugins");

var _selectors = require("webiny-app-cms/editor/selectors");

var _DefaultEditorBar = _interopRequireDefault(require("./DefaultEditorBar"));

var Bar = (0, _pure2.default)(function (props) {
  var plugins = (0, _webinyPlugins.getPlugins)("cms-editor-bar");
  var pluginBar = null;

  for (var i = 0; i < plugins.length; i++) {
    var plugin = plugins[i];

    if (plugin.shouldRender(props)) {
      pluginBar = plugin.render();
      break;
    }
  }

  return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_DefaultEditorBar.default, null), pluginBar);
});

var stateToProps = function stateToProps(state) {
  return (0, _objectSpread2.default)({}, (0, _selectors.getUi)(state));
};

var _default = (0, _redux.connect)(stateToProps)(Bar);

exports.default = _default;
//# sourceMappingURL=Bar.js.map