"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _webinyPlugins = require("webiny-plugins");

var PluginViewsContainer =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "e34b98k0",
  label: "PluginViewsContainer"
})({
  position: "absolute",
  left: 0,
  top: 64,
  zIndex: 3
});

var PluginViews = function PluginViews() {
  var actions = (0, _webinyPlugins.getPlugins)("cms-toolbar");
  return _react.default.createElement(PluginViewsContainer, {
    "data-type": "plugin-views-top"
  }, _react.default.createElement("div", {
    style: {
      position: "relative"
    }
  }, actions.map(function (plugin) {
    return _react.default.cloneElement(plugin.renderView(), {
      key: plugin.name
    });
  })));
};

var _default = PluginViews;
exports.default = _default;
//# sourceMappingURL=PluginViews.js.map