"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.updateElement = exports.deleteElement = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _graphqlTag = _interopRequireDefault(require("graphql-tag"));

function _templateObject2() {
  var data = (0, _taggedTemplateLiteral2.default)(["\n    mutation updateElement($id: ID!, $data: UpdateElementInput!) {\n        cms {\n            updateElement(id: $id, data: $data) {\n                data {\n                    id\n                    name\n                    type\n                    category\n                    content\n                    preview {\n                        src\n                    }\n                }\n                error {\n                    message\n                }\n            }\n        }\n    }\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2.default)(["\n    mutation deleteElement($id: ID!) {\n        cms {\n            deleteElement(id: $id) {\n                error {\n                    code\n                    message\n                }\n            }\n        }\n    }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var deleteElement = (0, _graphqlTag.default)(_templateObject());
exports.deleteElement = deleteElement;
var updateElement = (0, _graphqlTag.default)(_templateObject2());
exports.updateElement = updateElement;
//# sourceMappingURL=graphql.js.map