"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _get2 = _interopRequireDefault(require("lodash/get"));

var _react = _interopRequireDefault(require("react"));

var _AddBlock = _interopRequireDefault(require("./AddBlock"));

var _AddContent = _interopRequireDefault(require("./AddContent"));

var _SearchBlocks = _interopRequireDefault(require("./SearchBlocks"));

var _default = [{
  name: "add-block",
  type: "cms-editor-content",
  render: function render() {
    return _react.default.createElement(_AddBlock.default, null);
  }
}, {
  name: "add-content",
  type: "cms-editor-content",
  render: function render() {
    return _react.default.createElement(_AddContent.default, null);
  }
}, {
  name: "cms-search-blocks-bar",
  type: "cms-editor-bar",
  shouldRender: function shouldRender(_ref) {
    var plugins = _ref.plugins;
    var active = (0, _get2.default)(plugins, "cms-editor-bar") || [];
    return active ? active.find(function (pl) {
      return pl.name === "cms-search-blocks-bar";
    }) : false;
  },
  render: function render() {
    return _react.default.createElement(_SearchBlocks.default, null);
  }
}];
exports.default = _default;
//# sourceMappingURL=index.js.map