"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var React = _interopRequireWildcard(require("react"));

var _utils = require("webiny-app-cms/editor/utils");

var _preview2 = _interopRequireDefault(require("./preview.png"));

var _default = {
  name: "cms-block-empty",
  type: "cms-block",
  category: "cms-block-category-general",
  title: "Empty block",
  create: function create() {
    var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    return (0, _utils.createBlock)((0, _objectSpread2.default)({}, options, {
      elements: [(0, _utils.createRow)({
        elements: [(0, _utils.createColumn)({
          data: {
            width: 100
          }
        })]
      })]
    }));
  },
  image: {
    width: 500,
    height: 73,
    aspectRatio: 500 / 73
  },
  preview: function preview() {
    return React.createElement("img", {
      src: _preview2.default,
      alt: "Empty block"
    });
  }
};
exports.default = _default;
//# sourceMappingURL=index.js.map