"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _components = require("webiny-app/components");

var _Button = require("webiny-ui/Button");

var _roundArrow_back24px = require("@svgr/webpack!./icons/round-arrow_back-24px.svg");

var _emotion = require("emotion");

var backStyles =
/*#__PURE__*/
(0, _emotion.css)({
  marginLeft: -10
}, "label:backStyles;");

var BackButton = function BackButton(_ref) {
  var router = _ref.router;
  var pagesList = {
    id: router.getParams("id")
  };
  return _react.default.createElement(_Button.IconButton, {
    className: backStyles,
    onClick: function onClick() {
      return router.goToRoute({
        name: "Cms.Pages",
        params: pagesList
      });
    },
    icon: _react.default.createElement(_roundArrow_back24px.ReactComponent, null)
  });
};

var _default = (0, _components.withRouter)()(BackButton);

exports.default = _default;
//# sourceMappingURL=BackButton.js.map