"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = PageOptionsMenu;

var _react = _interopRequireDefault(require("react"));

var _Menu = require("webiny-ui/Menu");

var _Button = require("webiny-ui/Button");

var _more_vert = require("@svgr/webpack!webiny-app-cms/editor/assets/icons/more_vert.svg");

var _webinyPlugins = require("webiny-plugins");

function PageOptionsMenu() {
  var plugins = (0, _webinyPlugins.getPlugins)("cms-default-bar-right-page-options-option");
  return _react.default.createElement(_Menu.Menu, {
    handle: _react.default.createElement(_Button.IconButton, {
      icon: _react.default.createElement(_more_vert.ReactComponent, null)
    })
  }, plugins.map(function (pl) {
    return _react.default.cloneElement(pl.render(), {
      key: pl.name
    });
  }));
}
//# sourceMappingURL=PageOptionsMenu.js.map