"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _redux = require("webiny-app-cms/editor/redux");

var _actions = require("webiny-app-cms/editor/actions");

var _Button = require("webiny-ui/Button");

var _settings = require("@svgr/webpack!./icons/settings.svg");

var PageSettingsButton = function PageSettingsButton(_ref) {
  var togglePlugin = _ref.togglePlugin;
  return _react.default.createElement(_Button.IconButton, {
    onClick: function onClick() {
      return togglePlugin({
        name: "cms-page-settings-bar"
      });
    },
    icon: _react.default.createElement(_settings.ReactComponent, null)
  });
};

var _default = (0, _redux.connect)(null, {
  togglePlugin: _actions.togglePlugin
})(PageSettingsButton);

exports.default = _default;
//# sourceMappingURL=PageSettingsButton.js.map