"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _redux = require("webiny-app-cms/editor/redux");

var _webinyPlugins = require("webiny-plugins");

var _selectors = require("webiny-app-cms/editor/selectors");

var AdvancedAction = function AdvancedAction(_ref) {
  var elementType = _ref.elementType,
      children = _ref.children;
  var plugins = (0, _webinyPlugins.getPlugins)("cms-element-advanced-settings");

  if (!plugins.some(function (pl) {
    return pl.element === elementType;
  })) {
    return null;
  }

  return children;
};

var _default = (0, _redux.connect)(function (state) {
  return {
    elementType: (0, _selectors.getActiveElement)(state).type
  };
})(AdvancedAction);

exports.default = _default;
//# sourceMappingURL=AdvancedAction.js.map