"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _roundMovie_filter24px = require("@svgr/webpack!./round-movie_filter-24px.svg");

var _Action = _interopRequireDefault(require("../components/Action"));

var _AnimationSettings = _interopRequireDefault(require("./AnimationSettings"));

var _default = {
  name: "cms-element-settings-animation",
  type: "cms-element-settings",
  renderAction: function renderAction() {
    return _react.default.createElement(_Action.default, {
      tooltip: "Animation",
      plugin: this.name,
      icon: _react.default.createElement(_roundMovie_filter24px.ReactComponent, null)
    });
  },
  renderMenu: function renderMenu() {
    return _react.default.createElement(_AnimationSettings.default, {
      title: "Animation",
      styleAttribute: "animation"
    });
  }
};
exports.default = _default;
//# sourceMappingURL=index.js.map