"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _invert_colors = require("@svgr/webpack!webiny-app-cms/editor/assets/icons/invert_colors.svg");

var _Settings = _interopRequireDefault(require("./Settings"));

var _Action = _interopRequireDefault(require("../components/Action"));

var _default = {
  name: "cms-element-settings-background",
  type: "cms-element-settings",
  renderAction: function renderAction() {
    return _react.default.createElement(_Action.default, {
      plugin: this.name,
      tooltip: "Background",
      icon: _react.default.createElement(_invert_colors.ReactComponent, null)
    });
  },
  renderMenu: function renderMenu(_ref) {
    var options = _ref.options;
    return _react.default.createElement(_Settings.default, {
      options: options
    });
  }
};
exports.default = _default;
//# sourceMappingURL=index.js.map