"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _arrowsAltHSolid = require("@svgr/webpack!./arrows-alt-h-solid.svg");

var _Settings = _interopRequireDefault(require("./Settings"));

var _Action = _interopRequireDefault(require("../components/Action"));

var _default = {
  name: "cms-element-settings-column-width",
  type: "cms-element-settings",
  renderAction: function renderAction() {
    return _react.default.createElement(_Action.default, {
      tooltip: "Width",
      plugin: this.name,
      icon: _react.default.createElement(_arrowsAltHSolid.ReactComponent, null)
    });
  },
  renderMenu: function renderMenu() {
    return _react.default.createElement(_Settings.default, null);
  }
};
exports.default = _default;
//# sourceMappingURL=index.js.map