"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _pure2 = _interopRequireDefault(require("recompose/pure"));

var _get2 = _interopRequireDefault(require("lodash/get"));

var React = _interopRequireWildcard(require("react"));

var _reactRedux = require("react-redux");

var _Typography = require("webiny-ui/Typography");

var _Grid = require("webiny-ui/Grid");

var _ColorPicker = _interopRequireDefault(require("webiny-app-cms/editor/components/ColorPicker"));

var _selectors = require("webiny-app-cms/editor/selectors");

var ColorPicker = (0, _pure2.default)(function (_ref) {
  var label = _ref.label,
      value = _ref.value,
      updatePreview = _ref.updatePreview,
      updateValue = _ref.updateValue;
  return React.createElement(_Grid.Grid, null, React.createElement(_Grid.Cell, {
    span: 4
  }, React.createElement(_Typography.Typography, {
    use: "overline"
  }, label)), React.createElement(_Grid.Cell, {
    span: 8
  }, React.createElement(_ColorPicker.default, {
    compact: true,
    value: value,
    onChange: updatePreview,
    onChangeComplete: updateValue
  })));
});

var _default = (0, _reactRedux.connect)(function (state, _ref2) {
  var value = _ref2.value,
      valueKey = _ref2.valueKey,
      defaultValue = _ref2.defaultValue;
  return {
    value: valueKey ? (0, _get2.default)((0, _selectors.getActiveElement)(state), valueKey, defaultValue) : value
  };
})(ColorPicker);

exports.default = _default;
//# sourceMappingURL=ColorPicker.js.map