"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _pure2 = _interopRequireDefault(require("recompose/pure"));

var _get2 = _interopRequireDefault(require("lodash/get"));

var React = _interopRequireWildcard(require("react"));

var _reactRedux = require("react-redux");

var _Typography = require("webiny-ui/Typography");

var _Grid = require("webiny-ui/Grid");

var _Slider = require("webiny-ui/Slider");

var _selectors = require("webiny-app-cms/editor/selectors");

var Slider = (0, _pure2.default)(function (_ref) {
  var label = _ref.label,
      value = _ref.value,
      updatePreview = _ref.updatePreview,
      updateValue = _ref.updateValue,
      _ref$min = _ref.min,
      min = _ref$min === void 0 ? 0 : _ref$min,
      _ref$max = _ref.max,
      max = _ref$max === void 0 ? 100 : _ref$max,
      _ref$step = _ref.step,
      step = _ref$step === void 0 ? 1 : _ref$step;
  return React.createElement(_Grid.Grid, null, React.createElement(_Grid.Cell, {
    span: 4
  }, React.createElement(_Typography.Typography, {
    use: "overline"
  }, label)), React.createElement(_Grid.Cell, {
    span: 8
  }, React.createElement(_Slider.Slider, {
    value: value,
    onChange: updateValue,
    onInput: updatePreview,
    min: min,
    max: max,
    discrete: true,
    step: step
  })));
});

var _default = (0, _reactRedux.connect)(function (state, _ref2) {
  var valueKey = _ref2.valueKey;
  return {
    value: (0, _get2.default)((0, _selectors.getActiveElement)(state), valueKey, 0)
  };
})(Slider);

exports.default = _default;
//# sourceMappingURL=Slider.js.map