"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _get2 = _interopRequireDefault(require("lodash/get"));

var _pure2 = _interopRequireDefault(require("recompose/pure"));

var React = _interopRequireWildcard(require("react"));

var _reactRedux = require("react-redux");

var _Input = require("webiny-ui/Input");

var _Grid = require("webiny-ui/Grid");

var _Icon = require("webiny-ui/Icon");

var _Slider = require("webiny-ui/Slider");

var _StyledComponents = require("webiny-app-cms/editor/plugins/elementSettings/components/StyledComponents");

var _selectors = require("webiny-app-cms/editor/selectors");

var SliderWithInput = (0, _pure2.default)(function (_ref) {
  var value = _ref.value,
      icon = _ref.icon,
      placeholder = _ref.placeholder,
      updateValue = _ref.updateValue,
      updatePreview = _ref.updatePreview,
      className = _ref.className;
  return React.createElement(_Grid.Grid, {
    className: className
  }, React.createElement(_Grid.Cell, {
    span: 2
  }, React.createElement(_Icon.Icon, {
    icon: icon
  })), React.createElement(_Grid.Cell, {
    span: 6
  }, React.createElement(_Slider.Slider, {
    value: value,
    onChange: updateValue,
    onInput: updatePreview,
    min: 0,
    max: 100,
    step: 1
  })), React.createElement(_Grid.Cell, {
    span: 4
  }, React.createElement(_StyledComponents.InputContainer, null, React.createElement(_Input.Input, {
    placeholder: placeholder || "px",
    value: value,
    onChange: updateValue
  }))));
});

var _default = (0, _reactRedux.connect)(function (state, _ref2) {
  var valueKey = _ref2.valueKey;
  return {
    value: (0, _get2.default)((0, _selectors.getActiveElement)(state), valueKey, 0)
  };
})(SliderWithInput);

exports.default = _default;
//# sourceMappingURL=SliderWithInput.js.map