"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _isEqual2 = _interopRequireDefault(require("lodash/isEqual"));

var _compose2 = _interopRequireDefault(require("recompose/compose"));

var React = _interopRequireWildcard(require("react"));

var _redux = require("webiny-app-cms/editor/redux");

var _dotPropImmutable = require("dot-prop-immutable");

var _Tabs = require("webiny-ui/Tabs");

var _Switch = require("webiny-ui/Switch");

var _Input = require("webiny-ui/Input");

var _Grid = require("webiny-ui/Grid");

var _Typography = require("webiny-ui/Typography");

var _components = require("webiny-app-cms/editor/components");

var _DelayedOnChange = require("webiny-app-cms/editor/components/DelayedOnChange");

var _actions = require("webiny-app-cms/editor/actions");

var _webinyForm = require("webiny-form");

var LinkSettings =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(LinkSettings, _React$Component);

  function LinkSettings() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, LinkSettings);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(LinkSettings)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "historyUpdated", {});
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "updateSettings", function (data) {
      var _this$props = _this.props,
          element = _this$props.element,
          updateElement = _this$props.updateElement;
      var attrKey = "data.link";
      var newElement = (0, _dotPropImmutable.merge)(element, attrKey, data);
      updateElement({
        element: newElement
      });

      if (!(0, _isEqual2.default)(_this.historyUpdated, data)) {
        _this.historyUpdated = data;
        updateElement({
          element: newElement
        });
      }
    });
    return _this;
  }

  (0, _createClass2.default)(LinkSettings, [{
    key: "render",
    value: function render() {
      var element = this.props.element;

      var _ref = (0, _dotPropImmutable.get)(element, "data.link") || {},
          href = _ref.href,
          newTab = _ref.newTab;

      return React.createElement(_Tabs.Tabs, null, React.createElement(_Tabs.Tab, {
        label: "Link"
      }, React.createElement(_webinyForm.Form, {
        data: {
          href: href,
          newTab: newTab
        },
        onChange: this.updateSettings
      }, function (_ref2) {
        var Bind = _ref2.Bind;
        return React.createElement(React.Fragment, null, React.createElement(_Grid.Grid, null, React.createElement(_Grid.Cell, {
          span: 12
        }, React.createElement(Bind, {
          name: "href",
          validators: ["url"]
        }, React.createElement(_DelayedOnChange.DelayedOnChange, null, function (props) {
          return React.createElement(_Input.Input, (0, _extends2.default)({}, props, {
            label: "URL"
          }));
        })))), React.createElement(_Grid.Grid, null, React.createElement(_Grid.Cell, {
          span: 6
        }, React.createElement(_Typography.Typography, {
          use: "overline"
        }, "New tab")), React.createElement(_Grid.Cell, {
          span: 6
        }, React.createElement(Bind, {
          name: "newTab"
        }, React.createElement(_Switch.Switch, null)))));
      })));
    }
  }]);
  return LinkSettings;
}(React.Component);

var _default = (0, _compose2.default)((0, _redux.connect)(null, {
  updateElement: _actions.updateElement
}), (0, _components.withActiveElement)())(LinkSettings);

exports.default = _default;
//# sourceMappingURL=LinkSettings.js.map