"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _fullscreen = require("@svgr/webpack!webiny-app-cms/editor/assets/icons/fullscreen.svg");

var _PMSettings = _interopRequireDefault(require("../components/PMSettings"));

var _Action = _interopRequireDefault(require("../components/Action"));

var _default = {
  name: "cms-element-settings-margin",
  type: "cms-element-settings",
  renderAction: function renderAction(_ref) {
    var active = _ref.active;
    return _react.default.createElement(_Action.default, {
      tooltip: "Margin",
      active: active,
      plugin: this.name,
      icon: _react.default.createElement(_fullscreen.ReactComponent, null)
    });
  },
  renderMenu: function renderMenu() {
    return _react.default.createElement(_PMSettings.default, {
      title: "Margin",
      styleAttribute: "margin"
    });
  }
};
exports.default = _default;
//# sourceMappingURL=index.js.map