"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _fullscreen_exit = require("@svgr/webpack!webiny-app-cms/editor/assets/icons/fullscreen_exit.svg");

var _PMSettings = _interopRequireDefault(require("../components/PMSettings"));

var _Action = _interopRequireDefault(require("../components/Action"));

var _default = {
  name: "cms-element-settings-padding",
  type: "cms-element-settings",
  renderAction: function renderAction() {
    return _react.default.createElement(_Action.default, {
      tooltip: "Padding",
      plugin: this.name,
      icon: _react.default.createElement(_fullscreen_exit.ReactComponent, null)
    });
  },
  renderMenu: function renderMenu() {
    return _react.default.createElement(_PMSettings.default, {
      title: "Padding",
      styleAttribute: "padding"
    });
  }
};
exports.default = _default;
//# sourceMappingURL=index.js.map