"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _react = _interopRequireDefault(require("react"));

var _Slate = require("webiny-app-cms/editor/components/Slate");

var _roundToggle_on24px = require("@svgr/webpack!./round-toggle_on-24px.svg");

var _ButtonSettings = _interopRequireDefault(require("./ButtonSettings"));

var _Button = _interopRequireDefault(require("./Button"));

var _Action = _interopRequireDefault(require("../../elementSettings/components/Action"));

var _emotion = require("emotion");

var buttonWrapper =
/*#__PURE__*/
(0, _emotion.css)({
  display: "flex",
  justifyContent: "center"
}, "label:buttonWrapper;");

var _default = function _default() {
  return [{
    name: "cms-element-button",
    type: "cms-element",
    toolbar: {
      title: "Button",
      group: "cms-element-group-basic",
      preview: function preview() {
        return _react.default.createElement("div", {
          className: buttonWrapper
        }, _react.default.createElement("button", {
          className: "webiny-cms-element-button"
        }, "Click me"));
      }
    },
    settings: ["cms-element-settings-button", "cms-element-settings-link", "", "cms-element-settings-horizontal-align-flex", "", "cms-element-settings-clone", "cms-element-settings-delete", ""],
    target: ["cms-element-column", "cms-element-row"],
    create: function create(options) {
      return (0, _objectSpread2.default)({
        type: "cms-element-button",
        elements: [],
        data: {
          text: (0, _Slate.createValue)("Click me", "button"),
          settings: {
            margin: {
              desktop: {
                all: 0
              },
              mobile: {
                all: 0
              }
            },
            padding: {
              desktop: {
                all: 0
              },
              mobile: {
                all: 0
              }
            }
          }
        }
      }, options);
    },
    render: function render(_ref) {
      var element = _ref.element;
      return _react.default.createElement(_Button.default, {
        element: element
      });
    }
  }, {
    name: "cms-element-settings-button",
    type: "cms-element-settings",
    renderAction: function renderAction() {
      return _react.default.createElement(_Action.default, {
        plugin: this.name,
        tooltip: "Button",
        icon: _react.default.createElement(_roundToggle_on24px.ReactComponent, null)
      });
    },
    renderMenu: function renderMenu() {
      return _react.default.createElement(_ButtonSettings.default, null);
    }
  }];
};

exports.default = _default;
//# sourceMappingURL=index.js.map