"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.resizeStop = exports.resizeStart = exports.ROW_RESIZE_END = exports.ROW_RESIZE_START = void 0;

var _dotPropImmutable = require("dot-prop-immutable");

var _redux = require("webiny-app-cms/editor/redux");

var PREFIX = "[Row]";
var ROW_RESIZE_START = "".concat(PREFIX, " Resize start");
exports.ROW_RESIZE_START = ROW_RESIZE_START;
var ROW_RESIZE_END = "".concat(PREFIX, " Resize end");
exports.ROW_RESIZE_END = ROW_RESIZE_END;
var resizeStart = (0, _redux.createAction)(ROW_RESIZE_START);
exports.resizeStart = resizeStart;
var resizeStop = (0, _redux.createAction)(ROW_RESIZE_END);
exports.resizeStop = resizeStop;
(0, _redux.addReducer)([ROW_RESIZE_START, ROW_RESIZE_END], "ui.resizing", function (state, action) {
  return action.type === ROW_RESIZE_START;
});
//# sourceMappingURL=actions.js.map