"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.resizeStop = exports.resizeStart = exports.SPACER_RESIZE_END = exports.SPACER_RESIZE_START = void 0;

var _redux = require("webiny-app-cms/editor/redux");

var PREFIX = "[Spacer]";
var SPACER_RESIZE_START = "".concat(PREFIX, " Resize start");
exports.SPACER_RESIZE_START = SPACER_RESIZE_START;
var SPACER_RESIZE_END = "".concat(PREFIX, " Resize end");
exports.SPACER_RESIZE_END = SPACER_RESIZE_END;
var resizeStart = (0, _redux.createAction)(SPACER_RESIZE_START);
exports.resizeStart = resizeStart;
var resizeStop = (0, _redux.createAction)(SPACER_RESIZE_END);
exports.resizeStop = resizeStop;
(0, _redux.addReducer)([SPACER_RESIZE_START, SPACER_RESIZE_END], "ui.resizing", function (state, action) {
  return action.type === SPACER_RESIZE_START;
});
//# sourceMappingURL=actions.js.map