"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _redux = require("webiny-app-cms/editor/redux");

var _actions = require("webiny-app-cms/editor/actions");

var _add_circle_outline = require("@svgr/webpack!webiny-app-cms/editor/assets/icons/add_circle_outline.svg");

var _AddElement = _interopRequireDefault(require("./AddElement"));

var _Action = _interopRequireDefault(require("../Action"));

(0, _redux.addReducer)([_actions.ELEMENT_DROPPED], "ui.activeElement", function () {
  return null;
});
var _default = {
  name: "cms-toolbar-add-element",
  type: "cms-toolbar-top",
  renderAction: function renderAction() {
    return React.createElement(_Action.default, {
      tooltip: "Add Element",
      plugin: this.name,
      icon: React.createElement(_add_circle_outline.ReactComponent, null)
    });
  },
  renderDrawer: function renderDrawer() {
    return React.createElement(_AddElement.default, null);
  }
};
exports.default = _default;
//# sourceMappingURL=index.js.map