"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _help_outline = require("@svgr/webpack!webiny-app-cms/editor/assets/icons/help_outline.svg");

var _Onboarding = _interopRequireDefault(require("./Onboarding"));

var _Action = _interopRequireDefault(require("../Action"));

var _default = {
  name: "toolbar-onboarding",
  type: "cms-toolbar-bottom",
  renderAction: function renderAction() {
    return _react.default.createElement(_Action.default, {
      plugin: this.name,
      tooltip: "Get Started Guide",
      icon: _react.default.createElement(_help_outline.ReactComponent, null)
    });
  },
  renderDialog: function renderDialog() {
    return _react.default.createElement(_Onboarding.default, null);
  }
};
exports.default = _default;
//# sourceMappingURL=index.js.map