"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _emotion = require("emotion");

var _logo = require("@svgr/webpack!../assets/logo.svg");

var _editorMock = require("@svgr/webpack!../assets/editor-mock.svg");

var _Typography = require("webiny-ui/Typography");

var _Button = require("webiny-ui/Button");

var SlideContainer =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "ey4sp4m0",
  label: "SlideContainer"
})({
  display: "flex",
  flexDirection: "column",
  width: 800,
  height: 600,
  alignItems: "center",
  justifyContent: "flex-start"
});
var Logo =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "ey4sp4m1",
  label: "Logo"
})({
  width: "100%",
  textAlign: "center",
  marginBottom: 20,
  marginTop: 20
});
var EditorMock =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "ey4sp4m2",
  label: "EditorMock"
})({
  width: "100%",
  textAlign: "center",
  ">svg": {
    width: 650,
    height: "100%"
  }
});
var Text =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "ey4sp4m3",
  label: "Text"
})({
  paddingTop: 20,
  paddingBottom: 20,
  width: "60%",
  textAlign: "center",
  margin: "0 auto",
  h4: {
    paddingBottom: 20
  }
});
var getStartedStyle =
/*#__PURE__*/
(0, _emotion.css)({
  marginTop: 20
}, "label:getStartedStyle;");

var Slide1 = function Slide1(props) {
  return _react.default.createElement(SlideContainer, null, _react.default.createElement(Logo, null, _react.default.createElement(_logo.ReactComponent, null)), _react.default.createElement(EditorMock, null, _react.default.createElement(_editorMock.ReactComponent, null)), _react.default.createElement(Text, null, _react.default.createElement("h4", null, _react.default.createElement(_Typography.Typography, {
    use: "headline4"
  }, "Welcome to Webiny Page Editor")), _react.default.createElement("p", null, _react.default.createElement(_Typography.Typography, {
    use: "body2"
  }, "Let\u2019s go through some basics, and learn how to use the page editor, create content, and adapt it so it fit\u2019s your visual style."))), _react.default.createElement(_Button.ButtonPrimary, {
    onClick: props.nextSlide,
    className: getStartedStyle
  }, "Get Started"));
};

var _default = Slide1;
exports.default = _default;
//# sourceMappingURL=Slide1.js.map