"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _emotion = require("emotion");

var _reactEmotion = require("react-emotion");

var _classnames4 = _interopRequireDefault(require("classnames"));

var _SlideOutline = _interopRequireDefault(require("./SlideOutline"));

var _slide2Icon = require("@svgr/webpack!../assets/slide-2-icon.svg");

var _handIcon = require("@svgr/webpack!../assets/hand-icon.svg");

var _blockMock = require("@svgr/webpack!../assets/block-mock.svg");

var _slide2Hover = require("@svgr/webpack!../assets/slide-2-hover.svg");

var handPulsateSlide2 =
/*#__PURE__*/
(0, _reactEmotion.keyframes)("0%{display:none;visibility:hidden;opacity:0;}100%{display:block;visibility:block;opacity:1;}label:handPulsateSlide2;");
var blockAppearSlide2 =
/*#__PURE__*/
(0, _reactEmotion.keyframes)("0%{transform:translateY(-100px);opacity:0;}100%{transform:translateY(0px);opacity:1;}label:blockAppearSlide2;");
var hoverAppearSlide2 =
/*#__PURE__*/
(0, _reactEmotion.keyframes)("0%{opacity:0;}66%{opacity:0;}100%{opacity:1;}label:hoverAppearSlide2;");
var svgElement =
/*#__PURE__*/
(0, _emotion.css)({
  display: "none",
  position: "absolute"
}, "label:svgElement;");
var handStylesSlide2 =
/*#__PURE__*/
(0, _emotion.css)({
  display: "block",
  right: 49,
  bottom: -14,
  width: 50,
  height: "auto",
  zIndex: 10,
  animationName: handPulsateSlide2,
  animationIterationCount: "infinite",
  animationTimingFunction: "ease-in",
  animationDuration: "3s"
}, "label:handStylesSlide2;");
var blockMockStyleSlide2 =
/*#__PURE__*/
(0, _emotion.css)({
  display: "block",
  left: 115,
  top: 85,
  animationName: blockAppearSlide2,
  animationIterationCount: 1,
  animationTimingFunction: "ease-in",
  animationDuration: "1s"
}, "label:blockMockStyleSlide2;");
var hoverStyleSlide2 =
/*#__PURE__*/
(0, _emotion.css)({
  left: 75,
  top: 55,
  display: "block",
  animationName: hoverAppearSlide2,
  animationIterationCount: 1,
  animationTimingFunction: "ease-in",
  animationDuration: "2s"
}, "label:hoverStyleSlide2;");

var Slide2 =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(Slide2, _React$Component);

  function Slide2() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, Slide2);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(Slide2)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "slideNumber", 2);
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "editorContent", function () {
      return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_handIcon.ReactComponent, {
        className: (0, _classnames4.default)(svgElement, (0, _defineProperty2.default)({}, handStylesSlide2, _this.props.currentSlide === _this.slideNumber))
      }), _react.default.createElement(_blockMock.ReactComponent, {
        className: (0, _classnames4.default)(svgElement, (0, _defineProperty2.default)({}, blockMockStyleSlide2, _this.props.currentSlide === _this.slideNumber))
      }), _react.default.createElement(_slide2Hover.ReactComponent, {
        className: (0, _classnames4.default)(svgElement, (0, _defineProperty2.default)({}, hoverStyleSlide2, _this.props.currentSlide === _this.slideNumber))
      }));
    });
    return _this;
  }

  (0, _createClass2.default)(Slide2, [{
    key: "render",
    value: function render() {
      return _react.default.createElement(_SlideOutline.default, {
        title: "Blocks",
        description: "Blocks, are the main sections of your page inside which all content is placed.\n" + "To add a block, click the green button in the lower right corner.\n" + "You can start with an empty block. or use one of the pre-built ones.",
        learnMoreText: "Click here to learn more about Blocks.",
        learnMoreLink: "https://docs.webiny.com/cms/blocks",
        icon: _react.default.createElement(_slide2Icon.ReactComponent, null),
        editorContent: this.editorContent()
      });
    }
  }]);
  return Slide2;
}(_react.default.Component);

var _default = Slide2;
exports.default = _default;
//# sourceMappingURL=Slide2.js.map