"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _emotion = require("emotion");

var _reactEmotion = require("react-emotion");

var _classnames5 = _interopRequireDefault(require("classnames"));

var _SlideOutline = _interopRequireDefault(require("./SlideOutline"));

var _slide6Icon = require("@svgr/webpack!../assets/slide-6-icon.svg");

var _handIcon = require("@svgr/webpack!../assets/hand-icon.svg");

var _blockMock = require("@svgr/webpack!../assets/block-mock.svg");

var _slide6Hover = require("@svgr/webpack!../assets/slide-6-hover.svg");

var _slide6Dialog = require("@svgr/webpack!../assets/slide-6-dialog.svg");

var _slide6Toolbar = require("@svgr/webpack!../assets/slide-6-toolbar.svg");

var handPulsateSlide6 =
/*#__PURE__*/
(0, _reactEmotion.keyframes)("0%{display:none;visibility:hidden;opacity:0;}50%{display:none;visibility:hidden;opacity:0;}100%{display:block;visibility:block;opacity:1;}label:handPulsateSlide6;");
var toolbarListAppearSlide6 =
/*#__PURE__*/
(0, _reactEmotion.keyframes)("0%{opacity:0;}50%{opacity:0;transform:translateY(-25px);}100%{transform:translateY(0px);opacity:1;}label:toolbarListAppearSlide6;");
var hoverHightlightSlide6 =
/*#__PURE__*/
(0, _reactEmotion.keyframes)("0%{opacity:0;}50%{opacity:0;}100%{opacity:1;}label:hoverHightlightSlide6;");
var svgElementSlide6 =
/*#__PURE__*/
(0, _emotion.css)({
  display: "none",
  position: "absolute"
}, "label:svgElementSlide6;");
var handStylesSlide6 =
/*#__PURE__*/
(0, _emotion.css)({
  display: "block",
  left: 490,
  top: 170,
  width: 25,
  height: "auto",
  zIndex: 10,
  animationName: handPulsateSlide6,
  animationIterationCount: 1,
  animationTimingFunction: "ease-in",
  animationDuration: "2s"
}, "label:handStylesSlide6;");
var blockMockStyleSlide6 =
/*#__PURE__*/
(0, _emotion.css)({
  position: "absolute",
  display: "block",
  left: 115,
  top: 85
}, "label:blockMockStyleSlide6;");
var hoverStyleSlide6 =
/*#__PURE__*/
(0, _emotion.css)({
  position: "absolute",
  left: 110,
  top: 81,
  display: "block"
}, "label:hoverStyleSlide6;");
var hoverStyleSlide6AnimInit =
/*#__PURE__*/
(0, _emotion.css)({
  opacity: 0
}, "label:hoverStyleSlide6AnimInit;");
var hoverStyleSlide6Anim =
/*#__PURE__*/
(0, _emotion.css)({
  ".highlighted-layer": {
    animationName: hoverHightlightSlide6,
    animationIterationCount: 1,
    animationTimingFunction: "ease-in",
    animationDuration: "1s"
  }
}, "label:hoverStyleSlide6Anim;");
var toolbarStyleSlide6 =
/*#__PURE__*/
(0, _emotion.css)({
  left: 40,
  top: 1,
  display: "block",
  position: "absolute",
  animationName: toolbarListAppearSlide6,
  animationIterationCount: 1,
  animationTimingFunction: "ease-in",
  animationDuration: "3s"
}, "label:toolbarStyleSlide6;");
var dialogStyleSlide6 =
/*#__PURE__*/
(0, _emotion.css)({
  left: 394,
  top: 30,
  display: "block",
  position: "absolute",
  animationName: toolbarListAppearSlide6,
  animationIterationCount: 1,
  animationTimingFunction: "ease-in",
  animationDuration: "4s"
}, "label:dialogStyleSlide6;");

var Slide6 =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(Slide6, _React$Component);

  function Slide6() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, Slide6);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(Slide6)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "slideNumber", 6);
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "editorContent", function () {
      var _classnames2;

      return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_handIcon.ReactComponent, {
        className: (0, _classnames5.default)(svgElementSlide6, (0, _defineProperty2.default)({}, handStylesSlide6, _this.props.currentSlide === _this.slideNumber))
      }), _react.default.createElement(_blockMock.ReactComponent, {
        className: blockMockStyleSlide6
      }), _react.default.createElement(_slide6Hover.ReactComponent, {
        className: (0, _classnames5.default)(hoverStyleSlide6, (_classnames2 = {}, (0, _defineProperty2.default)(_classnames2, hoverStyleSlide6Anim, _this.props.currentSlide === _this.slideNumber), (0, _defineProperty2.default)(_classnames2, hoverStyleSlide6AnimInit, _this.props.currentSlide !== _this.slideNumber), _classnames2))
      }), _react.default.createElement(_slide6Toolbar.ReactComponent, {
        className: (0, _classnames5.default)(svgElementSlide6, (0, _defineProperty2.default)({}, toolbarStyleSlide6, _this.props.currentSlide === _this.slideNumber))
      }), _react.default.createElement(_slide6Dialog.ReactComponent, {
        className: (0, _classnames5.default)(svgElementSlide6, (0, _defineProperty2.default)({}, dialogStyleSlide6, _this.props.currentSlide === _this.slideNumber))
      }));
    });
    return _this;
  }

  (0, _createClass2.default)(Slide6, [{
    key: "render",
    value: function render() {
      return _react.default.createElement(_SlideOutline.default, {
        title: "Style & Positioning",
        description: "When you hover over a layer, click on it to select it. On the top of the page, you will see \n" + "additional options to control the visual styles of that layer.\n" + "Layers can also be dragged and dropped, to change their position on the page.",
        learnMoreText: "Click here to learn more about Style & Positioning.",
        learnMoreLink: "https://docs.webiny.com/cms/style-and-positioning",
        icon: _react.default.createElement(_slide6Icon.ReactComponent, null),
        editorContent: this.editorContent()
      });
    }
  }]);
  return Slide6;
}(_react.default.Component);

var _default = Slide6;
exports.default = _default;
//# sourceMappingURL=Slide6.js.map