"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _emotion = require("emotion");

var _logo = require("@svgr/webpack!../assets/logo.svg");

var _slide7FabBg = require("@svgr/webpack!../assets/slide-7-fab-bg.svg");

var _Typography = require("webiny-ui/Typography");

var _Button = require("webiny-ui/Button");

var SlideContainer =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "e781h280",
  label: "SlideContainer"
})({
  display: "flex",
  flexDirection: "column",
  width: 800,
  height: 600,
  alignItems: "center",
  justifyContent: "center",
  paddingBottom: 100,
  boxSizing: "border-box"
});
var Logo =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "e781h281",
  label: "Logo"
})({
  width: "100%",
  textAlign: "center",
  marginBottom: 20,
  marginTop: 20
});
var Text =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "e781h282",
  label: "Text"
})({
  paddingTop: 20,
  paddingBottom: 20,
  width: "60%",
  textAlign: "center",
  margin: "0 auto",
  h4: {
    paddingBottom: 20
  }
});
var Footer =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "e781h283",
  label: "Footer"
})({
  width: "100%",
  padding: 25,
  boxSizing: "border-box",
  backgroundColor: "var(--mdc-theme-background)",
  color: "var(--mdc-theme-text-primary-on-background)",
  position: "absolute",
  bottom: 0,
  textAlign: "center"
});
var getStartedStyle =
/*#__PURE__*/
(0, _emotion.css)({
  marginTop: 20
}, "label:getStartedStyle;");
var addFabStyle =
/*#__PURE__*/
(0, _emotion.css)({
  position: "absolute",
  zIndex: -1,
  right: -100,
  bottom: -80
}, "label:addFabStyle;");

var Slide7 = function Slide7(props) {
  return _react.default.createElement(SlideContainer, null, _react.default.createElement(Logo, null, _react.default.createElement(_logo.ReactComponent, null)), _react.default.createElement(Text, null, _react.default.createElement("h4", null, _react.default.createElement(_Typography.Typography, {
    use: "headline4"
  }, "Ready to Start Building?")), _react.default.createElement("p", null, _react.default.createElement(_Typography.Typography, {
    use: "body2"
  }, "Close this dialog, and then click the big green button in the corner to add your first block."))), _react.default.createElement(_Button.ButtonPrimary, {
    onClick: props.closeDialog,
    className: getStartedStyle
  }, "I'm Ready"), _react.default.createElement(Footer, null, _react.default.createElement(_Typography.Typography, {
    use: "body1"
  }, "To visit this guide again, just click the help icon in the left toolbar.")), _react.default.createElement(_slide7FabBg.ReactComponent, {
    className: addFabStyle
  }));
};

var _default = Slide7;
exports.default = _default;
//# sourceMappingURL=Slide7.js.map