"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _redux = require("webiny-app-cms/editor/redux");

var _selectors = require("webiny-app-cms/editor/selectors");

var _Button = require("webiny-ui/Button");

var _Tooltip = require("webiny-ui/Tooltip");

var _baselineCloud_upload24px = require("@svgr/webpack!webiny-app-cms/editor/assets/icons/baseline-cloud_upload-24px.svg");

var _baselineCloud_done24px = require("@svgr/webpack!webiny-app-cms/editor/assets/icons/baseline-cloud_done-24px.svg");

var Saving = function Saving(_ref) {
  var saving = _ref.saving;

  if (!saving) {
    return _react.default.createElement(_Tooltip.Tooltip, {
      placement: "right",
      content: _react.default.createElement("span", null, "All changes saved")
    }, _react.default.createElement(_Button.IconButton, {
      icon: _react.default.createElement(_baselineCloud_done24px.ReactComponent, null)
    }));
  }

  return _react.default.createElement(_Tooltip.Tooltip, {
    placement: "right",
    content: _react.default.createElement("span", null, "Saving changes ...")
  }, _react.default.createElement(_Button.IconButton, {
    icon: _react.default.createElement(_baselineCloud_upload24px.ReactComponent, null)
  }));
};

var _default = (0, _redux.connect)(function (state) {
  return {
    saving: (0, _selectors.getUi)(state).saving || false
  };
})(Saving);

exports.default = _default;
//# sourceMappingURL=Saving.js.map