"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _webinyPlugins = require("webiny-plugins");

var _context = require("webiny-app-cms/context");

var Element = function Element(_ref) {
  var element = _ref.element,
      theme = _ref.cms.theme;

  if (!element) {
    return null;
  }

  var plugin = (0, _webinyPlugins.getPlugins)("cms-render-element").find(function (pl) {
    return pl.element === element.type;
  });

  if (!plugin) {
    return null;
  }

  return plugin.render({
    theme: theme,
    element: element
  });
};

var _default = (0, _context.withCms)()(Element);

exports.default = _default;
//# sourceMappingURL=Element.js.map