"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireDefault(require("react"));

var _slateReact = require("slate-react");

var _slate = require("slate");

var _webinyPlugins = require("webiny-plugins");

var _context = require("webiny-app-cms/context");

var SlateEditor =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(SlateEditor, _React$Component);

  function SlateEditor(props) {
    var _this;

    (0, _classCallCheck2.default)(this, SlateEditor);
    _this = (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(SlateEditor).call(this));
    _this.plugins = (0, _webinyPlugins.getPlugins)("cms-render-slate-editor").map(function (pl) {
      return pl.slate;
    });
    _this.state = {
      value: _slate.Value.fromJSON(props.value)
    };
    return _this;
  }

  (0, _createClass2.default)(SlateEditor, [{
    key: "render",
    value: function render() {
      return _react.default.createElement(_slateReact.Editor, {
        readOnly: true,
        autoCorrect: false,
        spellCheck: false,
        plugins: this.plugins,
        value: this.state.value,
        theme: this.props.cms.theme
      });
    }
  }]);
  return SlateEditor;
}(_react.default.Component);

var _default = (0, _context.withCms)()(SlateEditor);

exports.default = _default;
//# sourceMappingURL=Slate.js.map