"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withTheme = withTheme;

var React = _interopRequireWildcard(require("react"));

var _CmsContext = require("./../../context/CmsContext");

function withTheme() {
  return function decorator(Component) {
    return function renderComponent(props) {
      return React.createElement(_CmsContext.CmsContextConsumer, null, React.createElement(Component, props));
    };
  };
}
//# sourceMappingURL=withTheme.js.map