"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _get3 = _interopRequireDefault(require("lodash/get"));

var _default = {
  name: "cms-render-element-style-shadow",
  type: "cms-render-element-style",
  renderStyle: function renderStyle(_ref) {
    var element = _ref.element,
        style = _ref.style;

    var _get2 = (0, _get3.default)(element, "data.settings", {}),
        shadow = _get2.shadow;

    if (!shadow) {
      return style;
    }

    return (0, _objectSpread2.default)({}, style, {
      boxShadow: [(shadow.horizontal || 0) + "px", (shadow.vertical || 0) + "px", (shadow.blur || 0) + "px", (shadow.spread || 0) + "px", shadow.color || "#000"].join(" ")
    });
  }
};
exports.default = _default;
//# sourceMappingURL=index.js.map