"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _emotion = require("emotion");

var _Element = _interopRequireDefault(require("webiny-app-cms/render/components/Element"));

var _ElementRoot = require("webiny-app-cms/render/components/ElementRoot");

var _ElementAnimation = _interopRequireDefault(require("webiny-app-cms/render/components/ElementAnimation"));

var Block = function Block(_ref) {
  var element = _ref.element;
  return _react.default.createElement(_ElementAnimation.default, null, _react.default.createElement(_ElementRoot.ElementRoot, {
    element: element
  }, function (_ref2) {
    var elementStyle = _ref2.elementStyle,
        elementAttributes = _ref2.elementAttributes,
        customClasses = _ref2.customClasses,
        combineClassNames = _ref2.combineClassNames;
    var width = elementStyle.width,
        alignItems = elementStyle.alignItems,
        justifyContent = elementStyle.justifyContent,
        containerStyle = (0, _objectWithoutProperties2.default)(elementStyle, ["width", "alignItems", "justifyContent"]);
    return _react.default.createElement("div", (0, _extends2.default)({
      style: {
        width: "100%",
        display: "flex",
        justifyContent: "center"
      },
      className: "webiny-cms-layout-block-container " +
      /*#__PURE__*/
      (0, _emotion.css)(containerStyle, "label:Block;")
    }, elementAttributes), _react.default.createElement("div", {
      style: {
        width: width ? width : "100%",
        alignSelf: justifyContent,
        alignItems: alignItems
      },
      className: combineClassNames.apply(void 0, ["webiny-cms-layout-block webiny-cms-base-element-style"].concat((0, _toConsumableArray2.default)(customClasses)))
    }, element.elements.map(function (element) {
      return (
        /* $FlowFixMe */
        _react.default.createElement(_Element.default, {
          key: element.id,
          element: element
        })
      );
    })));
  }));
};

var _default = Block;
exports.default = _default;
//# sourceMappingURL=Block.js.map