"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _react = _interopRequireDefault(require("react"));

var _dotPropImmutable = require("dot-prop-immutable");

var _Slate = _interopRequireDefault(require("webiny-app-cms/render/components/Slate"));

var _ElementRoot = require("webiny-app-cms/render/components/ElementRoot");

var Button = function Button(_ref) {
  var element = _ref.element;

  var _ref2 = element.data || {},
      _ref2$type = _ref2.type,
      type = _ref2$type === void 0 ? "default" : _ref2$type,
      _ref2$icon = _ref2.icon,
      icon = _ref2$icon === void 0 ? {} : _ref2$icon,
      _ref2$link = _ref2.link,
      link = _ref2$link === void 0 ? {} : _ref2$link;

  var _icon$svg = icon.svg,
      svg = _icon$svg === void 0 ? null : _icon$svg;
  var alignItems = (0, _dotPropImmutable.get)(element, "data.settings.horizontalAlignFlex") || "flex-start";
  var _icon$position = icon.position,
      position = _icon$position === void 0 ? "left" : _icon$position;
  return _react.default.createElement(_ElementRoot.ElementRoot, {
    element: element
  }, function (_ref3) {
    var getAllClasses = _ref3.getAllClasses,
        elementStyle = _ref3.elementStyle,
        elementAttributes = _ref3.elementAttributes;
    return _react.default.createElement("div", (0, _extends2.default)({
      style: (0, _objectSpread2.default)({}, elementStyle, {
        display: "flex",
        justifyContent: alignItems
      })
    }, elementAttributes), _react.default.createElement("a", {
      href: link.href || null,
      target: link.newTab ? "_blank" : "_self",
      className: getAllClasses("webiny-cms-base-element-style", "webiny-cms-element-button", "webiny-cms-element-button--" + type, "webiny-cms-element-button__icon--" + position)
    }, svg && _react.default.createElement("span", {
      dangerouslySetInnerHTML: {
        __html: svg
      }
    }), _react.default.createElement(_Slate.default, {
      value: element.data.text
    })));
  });
};

var _default = Button;
exports.default = _default;
//# sourceMappingURL=Button.js.map