"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Element = _interopRequireDefault(require("webiny-app-cms/render/components/Element"));

var _ElementRoot = require("webiny-app-cms/render/components/ElementRoot");

var _ElementAnimation = _interopRequireDefault(require("webiny-app-cms/render/components/ElementAnimation"));

var Column = function Column(_ref) {
  var element = _ref.element;
  return _react.default.createElement(_ElementAnimation.default, null, _react.default.createElement(_ElementRoot.ElementRoot, {
    element: element,
    className: "webiny-cms-base-element-style webiny-cms-layout-column",
    style: {
      width: (element.data.width || 100) + "%"
    }
  }, element.elements.map(function (element) {
    return (
      /* $FlowFixMe */
      _react.default.createElement(_Element.default, {
        element: element,
        key: element.id
      })
    );
  })));
};

var _default = Column;
exports.default = _default;
//# sourceMappingURL=Column.js.map