"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Element = _interopRequireDefault(require("webiny-app-cms/render/components/Element"));

var Document = function Document(_ref) {
  var element = _ref.element;

  if (!element || Array.isArray(element)) {
    return null;
  }

  return _react.default.createElement("div", {
    className: "webiny-cms-page-document"
  }, element.elements.map(function (element) {
    return _react.default.createElement(_Element.default, {
      key: element.id,
      element: element
    });
  }));
};

var _default = Document;
exports.default = _default;
//# sourceMappingURL=Document.js.map