"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _OEmbed = _interopRequireDefault(require("webiny-app-cms/render/components/OEmbed"));

var oembed = {
  global: "twttr",
  sdk: "https://platform.twitter.com/widgets.js",
  init: function init(_ref) {
    var node = _ref.node;
    window.twttr.widgets.load(node);
  }
};

var _default = function _default() {
  return {
    name: "cms-render-element-twitter",
    type: "cms-render-element",
    element: "cms-element-twitter",
    render: function render(props) {
      return _react.default.createElement(_OEmbed.default, (0, _extends2.default)({
        element: props.element
      }, oembed));
    }
  };
};

exports.default = _default;
//# sourceMappingURL=index.js.map