"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _get3 = _interopRequireDefault(require("lodash/get"));

var _react = _interopRequireDefault(require("react"));

var _emotion = require("emotion");

var _ElementRoot = require("webiny-app-cms/render/components/ElementRoot");

var center =
/*#__PURE__*/
(0, _emotion.css)({
  textAlign: "center"
}, "label:center;");

var Icon = function Icon(_ref) {
  var element = _ref.element;

  var _get2 = (0, _get3.default)(element, "data.icon", {}),
      _get2$svg = _get2.svg,
      svg = _get2$svg === void 0 ? null : _get2$svg;

  if (!svg) {
    return null;
  }

  return _react.default.createElement(_ElementRoot.ElementRoot, {
    element: element
  }, function (_ref2) {
    var getAllClasses = _ref2.getAllClasses,
        elementStyle = _ref2.elementStyle;
    return _react.default.createElement("div", {
      style: elementStyle,
      className: getAllClasses("webiny-cms-base-element-style webiny-cms-element-icon", center),
      dangerouslySetInnerHTML: {
        __html: svg
      }
    });
  });
};

var _default = Icon;
exports.default = _default;
//# sourceMappingURL=Icon.js.map