"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _reactEmotion = require("react-emotion");

var strongStyle =
/*#__PURE__*/
(0, _reactEmotion.css)({
  "[class*='mdc-typography--']": {
    fontWeight: "bold !important"
  }
}, "label:strongStyle;");

var _default = function _default() {
  return {
    name: "cms-render-slate-editor-bold",
    type: "cms-render-slate-editor",
    slate: {
      renderMark: function renderMark(props, next) {
        if (props.mark.type === "bold") {
          return _react.default.createElement("strong", (0, _extends2.default)({
            className: strongStyle
          }, props.attributes), props.children);
        }

        return next();
      }
    }
  };
};

exports.default = _default;
//# sourceMappingURL=index.js.map