"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _default = function _default() {
  return {
    name: "cms-render-slate-editor-lists",
    type: "cms-render-slate-editor",
    slate: {
      renderNode: function renderNode(props, next) {
        var attributes = props.attributes,
            children = props.children,
            node = props.node;

        switch (node.type) {
          case "unordered-list":
            return _react.default.createElement("ul", (0, _extends2.default)({
              className: "webiny-cms-typography-unordered-list"
            }, attributes), children);

          case "list-item":
            return _react.default.createElement("li", attributes, children);

          case "ordered-list":
            return _react.default.createElement("ol", (0, _extends2.default)({
              className: "webiny-cms-typography-ordered-list"
            }, attributes), children);

          default:
            return next();
        }
      }
    }
  };
};

exports.default = _default;
//# sourceMappingURL=index.js.map