"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _get2 = _interopRequireDefault(require("lodash/get"));

var _react = _interopRequireDefault(require("react"));

var _Element = _interopRequireDefault(require("webiny-app-cms/render/components/Element"));

var _Layout = _interopRequireDefault(require("./../Layout"));

var _reactHelmet = require("react-helmet");

var Content =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(Content, _React$Component);

  function Content() {
    (0, _classCallCheck2.default)(this, Content);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(Content).apply(this, arguments));
  }

  (0, _createClass2.default)(Content, [{
    key: "getPageTitle",
    value: function getPageTitle(_ref) {
      var page = _ref.page,
          settings = _ref.settings;
      var output = [];
      page.title && output.push(page.title);
      settings.name && output.push(settings.name);
      return output.join(" | ");
    }
  }, {
    key: "renderOgImageMeta",
    value: function renderOgImageMeta(_ref2) {
      var page = _ref2.page,
          settings = _ref2.settings;
      var src = (0, _get2.default)(page, "social.image.src");

      if (!src) {
        src = (0, _get2.default)(settings, "social.image.src");
      }

      return src ? _react.default.createElement("meta", {
        property: "og:image",
        content: src + "?width=1596"
      }) : null;
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          page = _this$props.page,
          settings = _this$props.settings;
      var meta = {
        page: {
          title: page.title,
          seo: (0, _objectSpread2.default)({
            title: "",
            description: "",
            meta: []
          }, (0, _get2.default)(page, "settings.seo")),
          social: (0, _objectSpread2.default)({
            title: "",
            description: "",
            image: null
          }, (0, _get2.default)(page, "settings.social"))
        },
        settings: {
          name: (0, _get2.default)(settings, "cms.name") || "",
          social: (0, _objectSpread2.default)({
            image: null
          }, (0, _get2.default)(settings, "cms.social"))
        }
      };
      return _react.default.createElement("div", {
        className: "webiny-cms-page"
      }, _react.default.createElement(_reactHelmet.Helmet, null, _react.default.createElement("meta", {
        charSet: "utf-8"
      }), _react.default.createElement("title", null, this.getPageTitle(meta)), meta.page.seo.title && _react.default.createElement("meta", {
        name: "title",
        content: meta.page.seo.title
      }), meta.page.seo.description && _react.default.createElement("meta", {
        name: "description",
        content: meta.page.seo.description
      }), meta.page.seo.meta.map(function (_ref3, index) {
        var name = _ref3.name,
            content = _ref3.content;
        return _react.default.createElement("meta", {
          key: index,
          name: name,
          content: content
        });
      }), this.renderOgImageMeta(meta), meta.page.social.title && _react.default.createElement("meta", {
        property: "og:title",
        content: meta.page.social.title
      }), meta.page.social.description && _react.default.createElement("meta", {
        property: "og:description",
        content: meta.page.social.description
      }), meta.page.social.meta.map(function (_ref4, index) {
        var property = _ref4.property,
            content = _ref4.content;
        return _react.default.createElement("meta", {
          key: index,
          property: "og:".concat(property),
          content: content
        });
      })), _react.default.createElement(_Layout.default, {
        layout: page.settings.general.layout
      }, _react.default.createElement(_Element.default, {
        element: page.content
      })));
    }
  }]);
  return Content;
}(_react.default.Component);

var _default = Content;
exports.default = _default;
//# sourceMappingURL=Content.js.map