"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _get2 = _interopRequireDefault(require("lodash/get"));

var React = _interopRequireWildcard(require("react"));

var _default2 = _interopRequireDefault(require("webiny-app-cms/render/presets/default"));

var _Page = _interopRequireDefault(require("./../components/Page"));

var _reactHelmet = _interopRequireDefault(require("react-helmet"));

var _reactApollo = require("react-apollo");

var _graphqlTag = _interopRequireDefault(require("graphql-tag"));

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2.default)(["\n                    query {\n                        settings {\n                            cms {\n                                favicon {\n                                    src\n                                }\n                            }\n                        }\n                    }\n                "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var _default = [{
  name: "cms-route",
  type: "route",
  route: {
    name: "Cms.Page",
    path: "*",
    render: function render(_ref) {
      var match = _ref.match;
      return React.createElement(_Page.default, {
        match: match
      });
    }
  }
}, {
  type: "addon-render",
  name: "addon-render-favicon",
  component: React.createElement(_reactApollo.Query, {
    query: (0, _graphqlTag.default)(_templateObject())
  }, function (_ref2) {
    var response = _ref2.data;

    var _ref3 = (0, _get2.default)(response, "settings.cms") || {},
        favicon = _ref3.favicon; // Manually added "?width=128" to the favicon URL. In the future, fix this.
    // See "packages/webiny-app/src/plugins/imagePlugin.js:54"


    if (favicon && favicon.src) {
      return React.createElement(_reactHelmet.default, null, React.createElement("link", {
        rel: "icon",
        type: "image/png",
        href: favicon.src + "?width=128",
        sizes: "16x16"
      }));
    }

    return null;
  })
}].concat((0, _toConsumableArray2.default)(_default2.default));

exports.default = _default;
//# sourceMappingURL=index.js.map