"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PageDetailsConsumer = exports.PageDetailsProvider = void 0;

var _react = _interopRequireDefault(require("react"));

var _React$createContext = _react.default.createContext(),
    Provider = _React$createContext.Provider,
    Consumer = _React$createContext.Consumer;

var PageDetailsProvider = function PageDetailsProvider(_ref) {
  var value = _ref.value,
      children = _ref.children;
  return _react.default.createElement(Provider, {
    value: value
  }, children);
};

exports.PageDetailsProvider = PageDetailsProvider;

var PageDetailsConsumer = function PageDetailsConsumer(_ref2) {
  var children = _ref2.children;

  if (typeof children === "function") {
    return _react.default.createElement(Consumer, null, function (pageDetails) {
      return children(pageDetails);
    });
  }

  return _react.default.createElement(Consumer, null, function (pageDetails) {
    return _react.default.cloneElement(children, {
      pageDetails: pageDetails
    });
  });
};

exports.PageDetailsConsumer = PageDetailsConsumer;
//# sourceMappingURL=PageDetailsContext.js.map