"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withPageDetails = withPageDetails;

var React = _interopRequireWildcard(require("react"));

var _PageDetailsContext = require("./PageDetailsContext");

function withPageDetails() {
  return function (Component) {
    return function withPageDetailsRender(props) {
      return React.createElement(_PageDetailsContext.PageDetailsConsumer, null, React.createElement(Component, props));
    };
  };
}
//# sourceMappingURL=withPageDetails.js.map