"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _fontawesomeSvgCore = require("@fortawesome/fontawesome-svg-core");

var _freeBrandsSvgIcons = require("@fortawesome/free-brands-svg-icons");

var _freeSolidSvgIcons = require("@fortawesome/free-solid-svg-icons");

var _freeRegularSvgIcons = require("@fortawesome/free-regular-svg-icons");

// Ignore
var createSvg = function createSvg(icon) {
  return React.createElement("svg", {
    width: 24,
    viewBox: "0 0 ".concat(icon[0], " ").concat(icon[1])
  }, React.createElement("path", {
    d: icon[4],
    fill: "currentColor"
  }));
};

var icons = [];
var _default = {
  name: "cms-icons-fontawesome",
  type: "cms-icons",
  init: function init() {
    _fontawesomeSvgCore.library.add(_freeBrandsSvgIcons.fab, _freeSolidSvgIcons.fas, _freeRegularSvgIcons.far);

    Object.keys(_fontawesomeSvgCore.library.definitions).forEach(function (pack) {
      var defs = _fontawesomeSvgCore.library.definitions[pack];
      Object.keys(defs).forEach(function (icon) {
        icons.push({
          id: [pack, icon],
          name: icon,
          svg: createSvg(defs[icon])
        });
      });
    });
  },
  getIcons: function getIcons() {
    return icons;
  }
};
exports.default = _default;
//# sourceMappingURL=index.js.map