"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _Tabs = require("webiny-ui/Tabs");

var _RevisionsList = _interopRequireDefault(require("./RevisionsList"));

var _default = {
  name: "cms-page-details-revision-content-revisions",
  type: "cms-page-details-revision-content",
  render: function render(_ref) {
    var pageDetails = _ref.pageDetails,
        loading = _ref.loading;
    return React.createElement(_Tabs.Tab, {
      label: "Revisions",
      disabled: loading
    }, React.createElement(_RevisionsList.default, {
      pageDetails: pageDetails,
      loading: loading
    }));
  }
};
exports.default = _default;
//# sourceMappingURL=index.js.map