"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _plugins = require("webiny-app/plugins");

var _Tabs = require("webiny-ui/Tabs");

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _Elevation = require("webiny-ui/Elevation");

var _PagePreview = _interopRequireDefault(require("./PagePreview"));

var _Progress = require("webiny-ui/Progress");

var RenderBlock =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "e1nu5ews0",
  label: "RenderBlock"
})({
  position: "relative",
  zIndex: 0,
  backgroundColor: "var(--mdc-theme-background)",
  height: "100%",
  overflow: "scroll",
  padding: 25
});
var _default = [{
  name: "cms-page-details-revision-content-preview",
  type: "cms-page-details-revision-content",
  render: function render(_ref) {
    var pageDetails = _ref.pageDetails,
        loading = _ref.loading;
    return React.createElement(_Tabs.Tab, {
      label: "Page preview",
      disabled: loading
    }, React.createElement(RenderBlock, null, React.createElement(_Elevation.Elevation, {
      z: 2
    }, React.createElement("div", {
      style: {
        position: "relative"
      }
    }, loading && React.createElement(_Progress.CircularProgress, null), (0, _plugins.renderPlugins)("cms-page-details-revision-content-preview", {
      pageDetails: pageDetails
    })))));
  }
}, {
  name: "cms-page-details-revision-render",
  type: "cms-page-details-revision-content-preview",
  render: function render(_ref2) {
    var pageDetails = _ref2.pageDetails;
    return React.createElement(_PagePreview.default, {
      pageDetails: pageDetails
    });
  }
}];
exports.default = _default;
//# sourceMappingURL=index.js.map