"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _graphqlTag = _interopRequireDefault(require("graphql-tag"));

function _templateObject2() {
  var data = (0, _taggedTemplateLiteral2.default)(["\n            mutation updateSettings($data: CmsSettingsInput) {\n                settings {\n                    cms(data: $data) ", "\n                }\n            }\n        "]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2.default)(["\n            query getSettings {\n                settings {\n                    cms ", "\n                }\n            }\n        "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var fields =
/* GraphQL */
"\n    {\n        name\n        logo {\n            src\n        }\n        favicon {\n            src\n        }\n        social {\n            facebook\n            twitter\n            instagram\n        }\n    }\n";
var graphql = {
  query: (0, _graphqlTag.default)(_templateObject(), fields),
  mutation: (0, _graphqlTag.default)(_templateObject2(), fields)
};
var _default = graphql;
exports.default = _default;
//# sourceMappingURL=graphql.js.map