"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LoadingTitle = exports.LoadingEditor = void 0;

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _emotion = require("emotion");

var imageAnim =
/*#__PURE__*/
(0, _emotion.keyframes)("0%{transform:translateY(-300px) scaleY(2.5) scaleX(0.2);transform-origin:50% 0%;filter:blur(40px);opacity:0;width:320px;}30%{transform:translateY(0) scaleY(1) scaleX(1);transform-origin:50% 50%;filter:blur(0);opacity:1;width:320px;}80%{transform:translateY(0) scaleY(1) scaleX(1);transform-origin:50% 50%;filter:blur(0);opacity:1;width:320px;}100%{transform:translateY(300px) scaleY(2.5) scaleX(0.2);transform-origin:50% 0%;filter:blur(40px);opacity:0;}label:imageAnim;");
var LoadingEditor =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "ed91p7p0",
  label: "LoadingEditor"
})({
  display: "flex",
  justifyContent: "center",
  alignItems: "center",
  height: "calc(100vh - 200px)",
  flexDirection: "column",
  color: "var(--mdc-theme-on-surface)",
  img: {
    marginBottom: 15,
    animation: imageAnim + " 2s both",
    animationFillMode: "forwards"
  }
});
exports.LoadingEditor = LoadingEditor;
var headerAnim =
/*#__PURE__*/
(0, _emotion.keyframes)("0%{opacity:.2;}100%{opacity:1;}label:headerAnim;");
var dotsAnim =
/*#__PURE__*/
(0, _emotion.keyframes)("0%{opacity:.2;}20%{opacity:1;}100%{opacity:.2;}label:dotsAnim;");
var LoadingTitle =
/*#__PURE__*/
(0, _reactEmotion.default)("h5", {
  target: "ed91p7p1",
  label: "LoadingTitle"
})({
  animation: headerAnim + " 0.8s both",
  animationFillMode: "forwards",
  span: {
    animation: dotsAnim + " 1.4s infinite",
    animationFillMode: "both",
    "&:nth-child(2)": {
      animationDelay: ".2s"
    },
    "&:nth-child(3)": {
      animationDelay: ".4s"
    }
  }
});
exports.LoadingTitle = LoadingTitle;
//# sourceMappingURL=EditorStyled.js.map