"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _lifecycle2 = _interopRequireDefault(require("recompose/lifecycle"));

var _compose2 = _interopRequireDefault(require("recompose/compose"));

var _react = _interopRequireDefault(require("react"));

var _webfontloader = _interopRequireDefault(require("webfontloader"));

var _CmsContext = require("./CmsContext");

var CmsProvider = function CmsProvider(_ref) {
  var children = _ref.children,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["children"]);
  return _react.default.createElement(_CmsContext.CmsContextProvider, rest, children);
};

var _default = (0, _compose2.default)((0, _lifecycle2.default)({
  componentDidMount: function componentDidMount() {
    _webfontloader.default.load(this.props.theme.fonts);
  }
}))(CmsProvider);

exports.default = _default;
//# sourceMappingURL=CmsProvider.js.map