"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _pure2 = _interopRequireDefault(require("recompose/pure"));

var _react = _interopRequireDefault(require("react"));

var _Droppable = _interopRequireDefault(require("webiny-app-cms/editor/components/Droppable"));

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var InnerDiv =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "ejt20v90",
  label: "InnerDiv"
})({
  height: 5,
  width: "100%",
  //"calc(100% - 50px)",
  zIndex: 3,
  borderRadius: 5,
  boxSizing: "border-box",
  display: "none"
});
var OuterDiv = (0, _pure2.default)(
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "ejt20v91",
  label: "OuterDiv"
})({
  //height: 20,
  margin: 0,
  padding: 0,
  width: "100%",
  zIndex: 10,
  backgroundColor: "transparent",
  position: "absolute",
  display: "flex",
  justifyContent: "center"
}, function (props) {
  var _ref;

  return _ref = {}, (0, _defineProperty2.default)(_ref, props.below ? "bottom" : "top", 0), (0, _defineProperty2.default)(_ref, InnerDiv, {
    backgroundColor: props.isOver ? "var(--mdc-theme-primary)" : "var(--mdc-theme-secondary)",
    display: props.isOver ? "block" : "none"
  }), _ref;
}));
var Horizontal = (0, _pure2.default)(function (_ref2) {
  var below = _ref2.below,
      onDrop = _ref2.onDrop,
      isVisible = _ref2.isVisible,
      type = _ref2.type;
  return _react.default.createElement(_Droppable.default, {
    type: type,
    isVisible: isVisible,
    onDrop: onDrop
  }, function (_ref3) {
    var _ref4;

    var isOver = _ref3.isOver;
    return _react.default.createElement("div", {
      style: (_ref4 = {
        height: "25px",
        width: "100%",
        position: "absolute"
      }, (0, _defineProperty2.default)(_ref4, below ? "bottom" : "top", 0), (0, _defineProperty2.default)(_ref4, "left", 0), (0, _defineProperty2.default)(_ref4, "zIndex", 1000), _ref4)
    }, _react.default.createElement(OuterDiv, {
      isOver: isOver,
      below: below
    }, _react.default.createElement(InnerDiv, null)));
  });
});
var _default = Horizontal;
exports.default = _default;
//# sourceMappingURL=Horizontal.js.map