"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _pure2 = _interopRequireDefault(require("recompose/pure"));

var _react = _interopRequireDefault(require("react"));

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _Droppable = _interopRequireDefault(require("./../Droppable"));

var InnerDivVertical =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "eylqkou0",
  label: "InnerDivVertical"
})({
  position: "absolute",
  width: 5,
  height: "100%",
  zIndex: 3,
  borderRadius: 5,
  display: "none"
});
var OuterDivVertical = (0, _pure2.default)(
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "eylqkou1",
  label: "OuterDivVertical"
})({
  position: "absolute",
  width: "30%",
  top: 0,
  height: "100%",
  zIndex: 10,
  backgroundColor: "transparent"
}, function (props) {
  var _InnerDivVertical, _ref;

  return _ref = {}, (0, _defineProperty2.default)(_ref, props.last ? "right" : "left", -2), (0, _defineProperty2.default)(_ref, "textAlign", props.last ? "right" : "left"), (0, _defineProperty2.default)(_ref, InnerDivVertical, (_InnerDivVertical = {
    backgroundColor: props.isOver ? "var(--mdc-theme-primary)" : "var(--mdc-theme-secondary)"
  }, (0, _defineProperty2.default)(_InnerDivVertical, props.last ? "right" : "left", -2), (0, _defineProperty2.default)(_InnerDivVertical, "display", props.isOver ? "block" : "none"), _InnerDivVertical)), _ref;
}));
var Vertical = (0, _pure2.default)(function (_ref2) {
  var last = _ref2.last,
      onDrop = _ref2.onDrop,
      isVisible = _ref2.isVisible,
      type = _ref2.type;
  return _react.default.createElement(_Droppable.default, {
    type: type,
    isVisible: isVisible,
    onDrop: onDrop
  }, function (_ref3) {
    var _ref4;

    var isOver = _ref3.isOver;
    return _react.default.createElement("div", {
      style: (_ref4 = {
        width: "30%",
        maxWidth: "100px",
        height: "100%",
        position: "absolute",
        top: 0
      }, (0, _defineProperty2.default)(_ref4, last ? "right" : "left", 0), (0, _defineProperty2.default)(_ref4, "zIndex", 1000), _ref4)
    }, _react.default.createElement(OuterDivVertical, {
      isOver: isOver,
      last: last
    }, _react.default.createElement(InnerDivVertical, null)));
  });
});
var _default = Vertical;
exports.default = _default;
//# sourceMappingURL=Vertical.js.map