"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _omit2 = _interopRequireDefault(require("lodash/omit"));

var _pick2 = _interopRequireDefault(require("lodash/pick"));

var _react = _interopRequireDefault(require("react"));

var _dynamics = _interopRequireDefault(require("dynamics.js"));

var _reactTransitionGroup = require("react-transition-group");

var Animate =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(Animate, _React$Component);

  function Animate() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, Animate);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(Animate)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "options", ["type", "duration", "friction", "frequency", "bounciness", "elasticity"]);
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "domNode", _react.default.createRef());
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "animationOptions", function (animation) {
      return (0, _objectSpread2.default)({}, (0, _pick2.default)(animation, _this.options), {
        type: _dynamics.default[animation.type],
        complete: function complete() {
          _this.animationEnded();

          _this.props.onComplete();
        },
        change: _this.props.onChange
      }, _this.props.animationOptions);
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "onEnter", function () {
      _dynamics.default.animate(_this.domNode.current, (0, _omit2.default)(_this.props.enterAnimation, _this.options), _this.animationOptions(_this.props.enterAnimation));
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "onExit", function () {
      _dynamics.default.animate(_this.domNode.current, (0, _omit2.default)(_this.props.exitAnimation, _this.options), _this.animationOptions(_this.props.exitAnimation));
    });
    return _this;
  }

  (0, _createClass2.default)(Animate, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      return _react.default.createElement(_reactTransitionGroup.Transition, {
        in: this.props.trigger,
        mountOnEnter: this.props.mountOnEnter,
        unmountOnExit: this.props.unmountOnExit,
        onEnter: this.onEnter,
        onExit: this.onExit,
        onEntered: this.props.onEntered,
        onExited: this.props.onExited,
        addEndListener: function addEndListener(node, done) {
          _this2.animationEnded = done;
        }
      }, function () {
        return _this2.props.children({
          ref: _this2.domNode
        });
      });
    }
  }]);
  return Animate;
}(_react.default.Component);

exports.default = Animate;
(0, _defineProperty2.default)(Animate, "defaultProps", {
  mountOnEnter: false,
  unmountOnExit: false,
  onComplete: function onComplete() {},
  onEntered: function onEntered() {},
  onExited: function onExited() {}
});
//# sourceMappingURL=Animate.js.map