"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _pure2 = _interopRequireDefault(require("recompose/pure"));

var _react = _interopRequireDefault(require("react"));

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _webinyPlugins = require("webiny-plugins");

var DialogsContainer =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "ep87ibm0",
  label: "DialogsContainer"
})({
  position: "fixed",
  zIndex: 5
});
var Dialogs = (0, _pure2.default)(function () {
  var actions = [].concat((0, _toConsumableArray2.default)((0, _webinyPlugins.getPlugins)("cms-toolbar-top")), (0, _toConsumableArray2.default)((0, _webinyPlugins.getPlugins)("cms-toolbar-bottom")));
  return _react.default.createElement(DialogsContainer, {
    "data-type": "dialogs"
  }, actions.map(function (plugin) {
    return typeof plugin.renderDialog === "function" ? _react.default.cloneElement(plugin.renderDialog(), {
      key: plugin.name
    }) : null;
  }));
});
var _default = Dialogs;
exports.default = _default;
//# sourceMappingURL=Dialogs.js.map