"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var Resizer =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(Resizer, _React$Component);

  function Resizer() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, Resizer);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(Resizer)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "state", {
      dragging: false
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "getMousePosition", function (e) {
      return _this.props.axis === "x" ? e.pageX : e.pageY;
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "onMouseDown", function (e) {
      e.preventDefault();
      e.stopPropagation();
      _this.startPosition = _this.getMousePosition(e);

      _this.setState({
        dragging: true
      }, function () {
        document.addEventListener("mousemove", _this.onMouseMove);
        document.addEventListener("mouseup", _this.onMouseUp);
      });

      _this.props.onResizeStart();
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "onMouseUp", function () {
      if (_this.state.dragging) {
        _this.setState({
          dragging: false
        });

        _this.props.onResizeStop();
      }
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "onMouseMove", function (e) {
      if (!_this.state.dragging) {
        return;
      }

      var mousePosition = _this.getMousePosition(e);

      _this.props.onResize(_this.startPosition - mousePosition);

      _this.startPosition = mousePosition;
    });
    return _this;
  }

  (0, _createClass2.default)(Resizer, [{
    key: "render",
    value: function render() {
      return this.props.children({
        isResizing: this.state.dragging,
        onMouseDown: this.onMouseDown
      });
    }
  }]);
  return Resizer;
}(_react.default.Component);

var _default = Resizer;
exports.default = _default;
//# sourceMappingURL=Resizer.js.map