"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _redux = require("webiny-app-cms/editor/redux");

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _actions = require("webiny-app-cms/editor/actions");

var _Button = require("webiny-ui/Button");

var _add = require("@svgr/webpack!webiny-app-cms/editor/assets/icons/add.svg");

var BottomRight =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "emjf8ge0",
  label: "BottomRight"
})({
  position: "fixed",
  zIndex: 25,
  bottom: 20,
  right: 20
});

var AddBlock = function AddBlock(_ref) {
  var togglePlugin = _ref.togglePlugin;
  return _react.default.createElement(BottomRight, null, _react.default.createElement(_Button.ButtonFloating, {
    onClick: function onClick() {
      return togglePlugin({
        name: "cms-search-blocks-bar"
      });
    },
    icon: _react.default.createElement(_add.ReactComponent, null)
  }));
};

var _default = (0, _redux.connect)(null, {
  togglePlugin: _actions.togglePlugin
})(AddBlock);

exports.default = _default;
//# sourceMappingURL=AddBlock.js.map