"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _isEqual2 = _interopRequireDefault(require("lodash/isEqual"));

var React = _interopRequireWildcard(require("react"));

var _Button = require("webiny-ui/Button");

var _Elevation = require("webiny-ui/Elevation");

var _add = require("@svgr/webpack!webiny-app-cms/editor/assets/icons/add.svg");

var Styled = _interopRequireWildcard(require("./StyledComponents"));

var _Typography = require("webiny-ui/Typography");

var _roundEdit24px = require("@svgr/webpack!./icons/round-edit-24px.svg");

var _ConfirmationDialog = require("webiny-ui/ConfirmationDialog");

var _roundClose24px = require("@svgr/webpack!./icons/round-close-24px.svg");

var _Tooltip = require("webiny-ui/Tooltip");

var BlockPreview =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(BlockPreview, _React$Component);

  function BlockPreview() {
    (0, _classCallCheck2.default)(this, BlockPreview);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(BlockPreview).apply(this, arguments));
  }

  (0, _createClass2.default)(BlockPreview, [{
    key: "shouldComponentUpdate",
    value: function shouldComponentUpdate(props) {
      return !(0, _isEqual2.default)(props.plugin, this.props.plugin);
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          plugin = _this$props.plugin,
          addBlockToContent = _this$props.addBlockToContent,
          deactivatePlugin = _this$props.deactivatePlugin,
          onEdit = _this$props.onEdit,
          onDelete = _this$props.onDelete;
      return React.createElement(_Elevation.Elevation, {
        z: 1,
        key: plugin.name,
        className: Styled.blockStyle
      }, React.createElement(Styled.Overlay, null, React.createElement(Styled.Backdrop, {
        className: "backdrop"
      }), React.createElement(Styled.AddBlock, {
        className: "add-block"
      }, React.createElement(_Button.ButtonFloating, {
        label: "Click to Add",
        onClick: function onClick(e) {
          addBlockToContent(plugin);
          !e.shiftKey && deactivatePlugin({
            name: "cms-search-blocks-bar"
          });
        },
        icon: React.createElement(_add.ReactComponent, null)
      })), onDelete && React.createElement(Styled.DeleteBlock, null, React.createElement(_ConfirmationDialog.ConfirmationDialog, {
        title: "Delete block",
        message: "Are you sure you want to delete this block?"
      }, function (_ref) {
        var showConfirmation = _ref.showConfirmation;
        return React.createElement(React.Fragment, null, plugin.id ? React.createElement(_Button.IconButton, {
          icon: React.createElement(_roundClose24px.ReactComponent, null),
          onClick: function onClick() {
            return showConfirmation(onDelete);
          }
        }) : React.createElement(_Tooltip.Tooltip, {
          content: "Cannot delete.",
          placement: "top"
        }, React.createElement(_Button.IconButton, {
          disabled: true,
          icon: React.createElement(_roundClose24px.ReactComponent, null)
        })));
      })), onEdit && React.createElement(Styled.EditBlock, null, plugin.id ? React.createElement(_Button.IconButton, {
        icon: React.createElement(_roundEdit24px.ReactComponent, null),
        onClick: onEdit
      }) : React.createElement(_Tooltip.Tooltip, {
        content: "Cannot edit.",
        placement: "top"
      }, React.createElement(_Button.IconButton, {
        disabled: true,
        icon: React.createElement(_roundEdit24px.ReactComponent, null)
      })))), React.createElement(Styled.BlockPreview, null, plugin.preview()), React.createElement(Styled.Title, null, React.createElement(_Typography.Typography, {
        use: "overline"
      }, plugin.title)));
    }
  }]);
  return BlockPreview;
}(React.Component);

var _default = BlockPreview;
exports.default = _default;
//# sourceMappingURL=BlockPreview.js.map