"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _roundGesture24px = require("@svgr/webpack!./icons/round-gesture-24px.svg");

var _roundNotifications_active24px = require("@svgr/webpack!./icons/round-notifications_active-24px.svg");

var _roundView_quilt24px = require("@svgr/webpack!./icons/round-view_quilt-24px.svg");

var _roundStars24px = require("@svgr/webpack!./icons/round-stars-24px.svg");

var _roundHome24px = require("@svgr/webpack!./icons/round-home-24px.svg");

var _roundGroup_work24px = require("@svgr/webpack!./icons/round-group_work-24px.svg");

var _roundRecord_voice_over24px = require("@svgr/webpack!./icons/round-record_voice_over-24px.svg");

var _default = [{
  type: "cms-block-category",
  name: "cms-block-category-cta",
  title: "Call To Action",
  description: "Call to action blocks.",
  icon: _react.default.createElement(_roundNotifications_active24px.ReactComponent, null)
}, {
  type: "cms-block-category",
  name: "cms-block-category-content",
  title: "Content",
  description: "Pre-formatted content blocks.",
  icon: _react.default.createElement(_roundView_quilt24px.ReactComponent, null)
}, {
  type: "cms-block-category",
  name: "cms-block-category-features",
  title: "Features",
  description: "Blocks for listing features and benefits.",
  icon: _react.default.createElement(_roundStars24px.ReactComponent, null)
}, {
  type: "cms-block-category",
  name: "cms-block-category-general",
  title: "General",
  description: "List of general purpose blocks.",
  icon: _react.default.createElement(_roundGesture24px.ReactComponent, null)
}, {
  type: "cms-block-category",
  name: "cms-block-category-header",
  title: "Headers",
  description: "Page headers.",
  icon: _react.default.createElement(_roundHome24px.ReactComponent, null)
}, {
  type: "cms-block-category",
  name: "cms-block-category-team",
  title: "Team",
  description: "Blocks to list out your team members.",
  icon: _react.default.createElement(_roundGroup_work24px.ReactComponent, null)
}, {
  type: "cms-block-category",
  name: "cms-block-category-testimonial",
  title: "Testimonial",
  description: "Display comments and user feedback.",
  icon: _react.default.createElement(_roundRecord_voice_over24px.ReactComponent, null)
}];
exports.default = _default;
//# sourceMappingURL=index.js.map