"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TitleContent = exports.Title = exports.ListItemTitle = exports.listItem = exports.listStyle = void 0;

var React = _interopRequireWildcard(require("react"));

var _emotion = require("emotion");

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _Typography = require("webiny-ui/Typography");

var listStyle =
/*#__PURE__*/
(0, _emotion.css)({
  "&.mdc-list": {
    padding: 0,
    backgroundColor: "var(--mdc-theme-surface)"
  }
}, "label:listStyle;");
exports.listStyle = listStyle;
var listItem =
/*#__PURE__*/
(0, _emotion.css)({
  padding: "15px 20px",
  cursor: "pointer",
  borderBottom: "1px solid var(--mdc-theme-background)",
  "&:last-child": {
    borderBottom: "none"
  },
  ".mdc-list-item__graphic": {
    marginRight: 20
  }
}, "label:listItem;");
exports.listItem = listItem;
var ListItemTitle =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "eovuk1z0",
  label: "ListItemTitle"
})({
  fontWeight: 600,
  marginBottom: 5
});
exports.ListItemTitle = ListItemTitle;
var Title = React.createElement(_Typography.Typography, {
  style: {
    margin: "0 auto",
    color: "var(--mdc-theme-on-surface)"
  },
  use: "headline6"
}, "Page Settings");
exports.Title = Title;
var TitleContent =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "eovuk1z1",
  label: "TitleContent"
})({
  display: "flex",
  flexDirection: "column"
});
exports.TitleContent = TitleContent;
//# sourceMappingURL=PageSettingsStyled.js.map