"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _isEqual2 = _interopRequireDefault(require("lodash/isEqual"));

var _omit2 = _interopRequireDefault(require("lodash/omit"));

var _compose2 = _interopRequireDefault(require("recompose/compose"));

var _react = _interopRequireDefault(require("react"));

var _redux = require("webiny-app-cms/editor/redux");

var _selectors = require("webiny-app-cms/editor/selectors");

var _components = require("webiny-admin/components");

var _components2 = require("webiny-app/components");

var _Menu = require("webiny-ui/Menu");

var _components3 = require("webiny-app-cms/admin/components");

var PreviewPageButton = function PreviewPageButton(_ref) {
  var page = _ref.page,
      getPagePreviewUrl = _ref.cmsSettings.getPagePreviewUrl;
  return _react.default.createElement(_Menu.MenuItem, {
    onClick: function onClick() {
      return window.open(getPagePreviewUrl(page), "_blank");
    }
  }, "Preview");
};

var _default = (0, _compose2.default)((0, _redux.connect)(function (state) {
  return {
    page: (0, _omit2.default)((0, _selectors.getPage)(state), ["content"])
  };
}, null, null, {
  areStatePropsEqual: _isEqual2.default
}), (0, _components.withSnackbar)(), (0, _components2.withRouter)(), (0, _components3.withCmsSettings)())(PreviewPageButton);

exports.default = _default;
//# sourceMappingURL=PreviewPageButton.js.map