"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PageMeta = exports.PageVersion = exports.pageTitleWrapper = exports.PageTitle = exports.TitleWrapper = exports.TitleInputWrapper = void 0;

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _emotion = require("emotion");

var TitleInputWrapper =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "e1wlylq40",
  label: "TitleInputWrapper"
})({
  width: "100%",
  display: "flex",
  alignItems: "center",
  position: "relative",
  "> .mdc-text-field--upgraded": {
    height: 35,
    marginTop: "0 !important",
    paddingLeft: 10,
    paddingRight: 40
  }
});
exports.TitleInputWrapper = TitleInputWrapper;
var TitleWrapper =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "e1wlylq41",
  label: "TitleWrapper"
})({
  height: 50,
  display: "flex",
  alignItems: "baseline",
  justifyContent: "flex-start",
  flexDirection: "column",
  color: "var(--mdc-theme-text-primary-on-background)",
  position: "relative",
  width: "100%",
  marginLeft: 10
});
exports.TitleWrapper = TitleWrapper;
var PageTitle =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "e1wlylq42",
  label: "PageTitle"
})({
  border: "1px solid transparent",
  fontSize: 20,
  whiteSpace: "nowrap",
  overflow: "hidden",
  textOverflow: "ellipsis",
  width: "100%",
  lineHeight: "120%",
  "&:hover": {
    border: "1px solid var(--mdc-theme-on-background)"
  }
});
exports.PageTitle = PageTitle;
var pageTitleWrapper =
/*#__PURE__*/
(0, _emotion.css)({
  maxWidth: "calc(100% - 50px)"
}, "label:pageTitleWrapper;");
exports.pageTitleWrapper = pageTitleWrapper;
var PageVersion =
/*#__PURE__*/
(0, _reactEmotion.default)("span", {
  target: "e1wlylq43",
  label: "PageVersion"
})({
  fontSize: 20,
  color: "var(--mdc-theme-text-secondary-on-background)",
  marginLeft: 5,
  lineHeight: "120%"
});
exports.PageVersion = PageVersion;
var PageMeta =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "e1wlylq44",
  label: "PageMeta"
})({
  height: 20,
  margin: "-2px 2px 2px 2px"
});
exports.PageMeta = PageMeta;
//# sourceMappingURL=Styled.js.map