"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _get2 = _interopRequireDefault(require("lodash/get"));

var _react = _interopRequireDefault(require("react"));

var _PageSettings = _interopRequireDefault(require("./components/PageSettings"));

var _PageSettingsButton = _interopRequireDefault(require("./components/PageSettingsButton"));

var _PublishPageButton = _interopRequireDefault(require("./components/PublishPageButton"));

var _PreviewPageButton = _interopRequireDefault(require("./components/PreviewPageButton"));

var _PageOptionsMenu = _interopRequireDefault(require("./components/PageOptionsMenu"));

var _Divider = _interopRequireDefault(require("./components/Divider"));

var _Title = _interopRequireDefault(require("./components/Title"));

var _BackButton = _interopRequireDefault(require("./components/BackButton"));

var _Revisions = _interopRequireDefault(require("./components/Revisions"));

var _default = [{
  name: "cms-page-settings-bar",
  type: "cms-editor-bar",
  shouldRender: function shouldRender(_ref) {
    var plugins = _ref.plugins;
    var active = (0, _get2.default)(plugins, "cms-editor-bar");
    return active ? active.find(function (pl) {
      return pl.name === "cms-page-settings-bar";
    }) : false;
  },
  render: function render() {
    return _react.default.createElement(_PageSettings.default, null);
  }
}, {
  name: "cms-default-bar-right-revisions-select",
  type: "cms-default-bar-right",
  render: function render() {
    return _react.default.createElement(_Revisions.default, null);
  }
}, {
  name: "cms-default-bar-right-revisions-divider",
  type: "cms-default-bar-right",
  render: function render() {
    return _react.default.createElement(_Divider.default, null);
  }
}, {
  name: "cms-default-bar-right-page-settings-button",
  type: "cms-default-bar-right",
  render: function render() {
    return _react.default.createElement(_PageSettingsButton.default, null);
  }
}, [{
  name: "cms-default-bar-right-page-options",
  type: "cms-default-bar-right",
  render: function render() {
    return _react.default.createElement(_PageOptionsMenu.default, null);
  }
}, {
  name: "cms-default-bar-right-page-options-preview",
  type: "cms-default-bar-right-page-options-option",
  render: function render() {
    return _react.default.createElement(_PreviewPageButton.default, null);
  }
}], {
  name: "cms-default-bar-right-publish-button",
  type: "cms-default-bar-right",
  render: function render() {
    return _react.default.createElement(_PublishPageButton.default, null);
  }
}, {
  name: "cms-default-bar-left-back-button",
  type: "cms-default-bar-left",
  render: function render() {
    return _react.default.createElement(_BackButton.default, null);
  }
}, {
  name: "cms-default-bar-left-divider",
  type: "cms-default-bar-left",
  render: function render() {
    return _react.default.createElement(_Divider.default, null);
  }
}, {
  name: "cms-default-bar-left-title",
  type: "cms-default-bar-left",
  render: function render() {
    return _react.default.createElement(_Title.default, null);
  }
}];
exports.default = _default;
//# sourceMappingURL=index.js.map