"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Action = _interopRequireDefault(require("../components/Action"));

var _HorizontalAlignAction = _interopRequireDefault(require("./HorizontalAlignAction"));

var _HorizontalAlignFlex = _interopRequireDefault(require("./HorizontalAlignFlex"));

var _VerticalAlignAction = _interopRequireDefault(require("./VerticalAlignAction"));

var _default = [{
  name: "cms-element-settings-horizontal-align",
  type: "cms-element-settings",
  renderAction: function renderAction(_ref) {
    var options = _ref.options;
    return _react.default.createElement(_HorizontalAlignAction.default, {
      options: options
    }, _react.default.createElement(_Action.default, {
      plugin: this.name,
      tooltip: "Horizontal align"
    }));
  }
}, {
  name: "cms-element-settings-horizontal-align-flex",
  type: "cms-element-settings",
  renderAction: function renderAction() {
    return _react.default.createElement(_HorizontalAlignFlex.default, null, _react.default.createElement(_Action.default, {
      plugin: this.name,
      tooltip: "Horizontal align"
    }));
  }
}, {
  name: "cms-element-settings-vertical-align",
  type: "cms-element-settings",
  renderAction: function renderAction() {
    return _react.default.createElement(_VerticalAlignAction.default, null, _react.default.createElement(_Action.default, {
      plugin: this.name,
      tooltip: "Vertical align"
    }));
  }
}];
exports.default = _default;
//# sourceMappingURL=index.js.map