"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _get2 = _interopRequireDefault(require("lodash/get"));

var _compose2 = _interopRequireDefault(require("recompose/compose"));

var _react = _interopRequireDefault(require("react"));

var _redux = require("webiny-app-cms/editor/redux");

var _dotPropImmutable = require("dot-prop-immutable");

var _Tabs = require("webiny-ui/Tabs");

var _Input = require("webiny-ui/Input");

var _StyledComponents = require("webiny-app-cms/editor/plugins/elementSettings/components/StyledComponents");

var _Typography = require("webiny-ui/Typography");

var _Grid = require("webiny-ui/Grid");

var _webinyForm = require("webiny-form");

var _actions = require("webiny-app-cms/editor/actions");

var _selectors = require("webiny-app-cms/editor/selectors");

var validateWidth = function validateWidth(value) {
  if (!value) {
    return null;
  }

  if (isNaN(parseInt(value))) {
    throw Error("Enter a valid number!");
  }

  if (value.endsWith("%") || value.endsWith("px")) {
    return true;
  }

  throw Error("Specify % or px!");
};

var Settings =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(Settings, _React$Component);

  function Settings() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, Settings);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(Settings)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "historyUpdated", {});
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "updateSettings",
    /*#__PURE__*/
    function () {
      var _ref = (0, _asyncToGenerator2.default)(
      /*#__PURE__*/
      _regenerator.default.mark(function _callee(data, form) {
        var valid, _this$props, element, updateElement, attrKey, newElement;

        return _regenerator.default.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                _context.next = 2;
                return form.validate();

              case 2:
                valid = _context.sent;

                if (valid) {
                  _context.next = 5;
                  break;
                }

                return _context.abrupt("return");

              case 5:
                _this$props = _this.props, element = _this$props.element, updateElement = _this$props.updateElement;
                attrKey = "data.settings.columnWidth";
                newElement = (0, _dotPropImmutable.set)(element, attrKey, data);
                updateElement({
                  element: newElement
                });

              case 9:
              case "end":
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      return function (_x, _x2) {
        return _ref.apply(this, arguments);
      };
    }());
    return _this;
  }

  (0, _createClass2.default)(Settings, [{
    key: "render",
    value: function render() {
      var element = this.props.element;
      var data = (0, _get2.default)(element.data, "settings.columnWidth", {
        value: "100%"
      });
      return _react.default.createElement(_webinyForm.Form, {
        data: data,
        onChange: this.updateSettings
      }, function (_ref2) {
        var Bind = _ref2.Bind;
        return _react.default.createElement(_Tabs.Tabs, null, _react.default.createElement(_Tabs.Tab, {
          label: "Width"
        }, _react.default.createElement(_Grid.Grid, null, _react.default.createElement(_Grid.Cell, {
          span: 5
        }, _react.default.createElement(_Typography.Typography, {
          use: "overline"
        }, "Width")), _react.default.createElement(_Grid.Cell, {
          span: 7
        }, _react.default.createElement(_StyledComponents.InputContainer, {
          width: "auto",
          margin: 0
        }, _react.default.createElement(Bind, {
          name: "value",
          validators: [validateWidth]
        }, _react.default.createElement(_Input.Input, null)))))));
      });
    }
  }]);
  return Settings;
}(_react.default.Component);

var _default = (0, _compose2.default)((0, _redux.connect)(function (state) {
  return {
    element: (0, _selectors.getActiveElement)(state)
  };
}, {
  updateElement: _actions.updateElement
}))(Settings);

exports.default = _default;
//# sourceMappingURL=Settings.js.map