"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _pure2 = _interopRequireDefault(require("recompose/pure"));

var React = _interopRequireWildcard(require("react"));

var _Grid = require("webiny-ui/Grid");

var _Typography = require("webiny-ui/Typography");

var _Switch = require("webiny-ui/Switch");

var _StyledComponents = require("webiny-app-cms/editor/plugins/elementSettings/components/StyledComponents");

var _default = (0, _pure2.default)(function (_ref) {
  var advanced = _ref.advanced,
      toggleAdvanced = _ref.toggleAdvanced;
  return React.createElement(_StyledComponents.Footer, null, React.createElement(_Grid.Grid, {
    className: "no-bottom-padding"
  }, React.createElement(_Grid.Cell, {
    span: 8
  }, React.createElement(_Typography.Typography, {
    use: "subtitle2"
  }, "Show advanced options")), React.createElement(_Grid.Cell, {
    span: 4
  }, React.createElement(_Switch.Switch, {
    value: advanced,
    onChange: toggleAdvanced
  }))));
});

exports.default = _default;
//# sourceMappingURL=Footer.js.map