"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InputContainer = exports.Footer = void 0;

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var Footer =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "eo26prw0",
  label: "Footer"
})({
  backgroundColor: "var(--mdc-theme-background)",
  paddingBottom: 10,
  margin: "0 -15px -15px -15px",
  ".mdc-layout-grid": {
    padding: "15px 10px 10px 15px",
    ".mdc-layout-grid__cell.mdc-layout-grid__cell--span-4": {
      paddingRight: 10
    }
  }
});
exports.Footer = Footer;
var InputContainer =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "eo26prw1",
  label: "InputContainer"
})(function (props) {
  return {
    "> .mdc-text-field.mdc-text-field--upgraded": {
      height: "30px !important",
      width: props.width || 50,
      margin: props.hasOwnProperty("margin") ? props.margin : "0 0 0 18px",
      ".mdc-text-field__input": {
        paddingTop: 5
      }
    }
  };
});
exports.InputContainer = InputContainer;
//# sourceMappingURL=StyledComponents.js.map