"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _roundLink24px = require("@svgr/webpack!./round-link-24px.svg");

var _LinkSettings = _interopRequireDefault(require("./LinkSettings"));

var _Action = _interopRequireDefault(require("../components/Action"));

var _default = {
  name: "cms-element-settings-link",
  type: "cms-element-settings",
  renderAction: function renderAction() {
    return _react.default.createElement(_Action.default, {
      plugin: this.name,
      tooltip: "Link",
      icon: _react.default.createElement(_roundLink24px.ReactComponent, null)
    });
  },
  renderMenu: function renderMenu() {
    return _react.default.createElement(_LinkSettings.default, null);
  }
};
exports.default = _default;
//# sourceMappingURL=index.js.map