"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _pure2 = _interopRequireDefault(require("recompose/pure"));

var _react = _interopRequireDefault(require("react"));

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _ElementRoot = require("webiny-app-cms/render/components/ElementRoot");

var _BlockContainer = _interopRequireDefault(require("./BlockContainer"));

var _ElementAnimation = _interopRequireDefault(require("webiny-app-cms/render/components/ElementAnimation"));

var BlockStyle =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "eoweu870",
  label: "BlockStyle"
})({
  position: "relative",
  color: "#666",
  padding: 5,
  boxSizing: "border-box"
});
var Block = (0, _pure2.default)(function (_ref) {
  var element = _ref.element;
  var id = element.id;
  return _react.default.createElement(BlockStyle, {
    id: id,
    style: {
      zIndex: 20,
      position: "relative"
    }
  }, _react.default.createElement(_ElementAnimation.default, null, _react.default.createElement(_ElementRoot.ElementRoot, {
    element: element
  }, function (_ref2) {
    var elementStyle = _ref2.elementStyle,
        elementAttributes = _ref2.elementAttributes,
        customClasses = _ref2.customClasses,
        combineClassNames = _ref2.combineClassNames;
    return _react.default.createElement(_BlockContainer.default, {
      elementId: id,
      elementStyle: elementStyle,
      elementAttributes: elementAttributes,
      customClasses: ["webiny-cms-layout-block webiny-cms-base-element-style"].concat((0, _toConsumableArray2.default)(customClasses)),
      combineClassNames: combineClassNames
    });
  })));
});
var _default = Block;
exports.default = _default;
//# sourceMappingURL=Block.js.map