"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _ElementRoot = require("webiny-app-cms/render/components/ElementRoot");

var _ButtonContainer = _interopRequireDefault(require("./ButtonContainer"));

var Button = function Button(_ref) {
  var element = _ref.element;
  return _react.default.createElement(_ElementRoot.ElementRoot, {
    className: "webiny-cms-base-element-style",
    element: element
  }, function (_ref2) {
    var getAllClasses = _ref2.getAllClasses,
        elementStyle = _ref2.elementStyle,
        elementAttributes = _ref2.elementAttributes;
    return _react.default.createElement(_ButtonContainer.default, {
      elementId: element.id,
      getAllClasses: getAllClasses,
      elementStyle: elementStyle,
      elementAttributes: elementAttributes
    });
  });
};

var _default = Button;
exports.default = _default;
//# sourceMappingURL=Button.js.map