"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _emotion = require("emotion");

var _ElementRoot = require("webiny-app-cms/render/components/ElementRoot");

var _ConnectedElement = _interopRequireDefault(require("webiny-app-cms/editor/components/ConnectedElement"));

var center =
/*#__PURE__*/
(0, _emotion.css)({
  textAlign: "center"
}, "label:center;");

var Icon = function Icon(_ref) {
  var element = _ref.element;
  return React.createElement(_ElementRoot.ElementRoot, {
    element: element
  }, function (_ref2) {
    var getAllClasses = _ref2.getAllClasses,
        elementStyle = _ref2.elementStyle;
    return React.createElement(_ConnectedElement.default, {
      elementId: element.id
    }, function (element) {
      var _element$data$icon$sv = element.data.icon.svg,
          svg = _element$data$icon$sv === void 0 ? null : _element$data$icon$sv;
      var className = getAllClasses("webiny-cms-base-element-style webiny-cms-element-icon", center);

      if (!svg) {
        return null;
      }

      return React.createElement("div", {
        style: elementStyle,
        className: className,
        dangerouslySetInnerHTML: {
          __html: svg
        }
      });
    });
  });
};

var _default = Icon;
exports.default = _default;
//# sourceMappingURL=Icon.js.map