"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _react = _interopRequireDefault(require("react"));

var _roundStar_border24px = require("@svgr/webpack!./round-star_border-24px.svg");

var _IconSettings = _interopRequireDefault(require("./IconSettings"));

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _Icon = _interopRequireDefault(require("./Icon"));

var _utils = require("./utils");

var _Action = _interopRequireDefault(require("./../../elementSettings/components/Action"));

var _default = function _default() {
  var PreviewBox =
  /*#__PURE__*/
  (0, _reactEmotion.default)("div", {
    target: "eftyc3p0",
    label: "PreviewBox"
  })({
    textAlign: "center",
    height: 50,
    color: "var(--mdc-theme-text-primary-on-background)",
    svg: {
      height: 50,
      width: 50
    }
  });
  return [{
    name: "cms-element-icon",
    type: "cms-element",
    toolbar: {
      title: "Icon",
      group: "cms-element-group-basic",
      preview: function preview() {
        return _react.default.createElement(PreviewBox, null, _react.default.createElement(_roundStar_border24px.ReactComponent, null));
      }
    },
    settings: ["cms-element-settings-icon", "", "cms-element-settings-padding", "cms-element-settings-margin", ["cms-element-settings-horizontal-align", {
      alignments: ["left", "center", "right"]
    }], "", "cms-element-settings-clone", "cms-element-settings-delete", ""],
    target: ["cms-element-column", "cms-element-row"],
    create: function create(options) {
      return (0, _objectSpread2.default)({
        type: "cms-element-icon",
        elements: [],
        data: {
          icon: {
            id: ["far", "star"],
            svg: (0, _utils.getSvg)(["far", "star"]),
            width: 50
          },
          settings: {
            horizontalAlign: "center",
            margin: {
              desktop: {
                all: 0
              },
              mobile: {
                all: 0
              }
            },
            padding: {
              desktop: {
                all: 0
              },
              mobile: {
                all: 0
              }
            }
          }
        }
      }, options);
    },
    render: function render(props) {
      return _react.default.createElement(_Icon.default, props);
    }
  }, {
    name: "cms-element-settings-icon",
    type: "cms-element-settings",
    renderAction: function renderAction(_ref) {
      var active = _ref.active;
      return _react.default.createElement(_Action.default, {
        plugin: this.name,
        tooltip: "Icon",
        active: active,
        icon: _react.default.createElement(_roundStar_border24px.ReactComponent, null)
      });
    },
    renderMenu: function renderMenu() {
      return _react.default.createElement(_IconSettings.default, null);
    }
  }];
};

exports.default = _default;
//# sourceMappingURL=index.js.map