"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _Tabs = require("webiny-ui/Tabs");

var _Input = require("webiny-ui/Input");

var _Grid = require("webiny-ui/Grid");

var _createEmbedPlugin = require("./../../utils/oembed/createEmbedPlugin");

var _roundMusic_video24px = require("@svgr/webpack!./../../../elementGroups/media/round-music_video-24px.svg");

var _soundcloudBrands = require("@svgr/webpack!./soundcloud-brands.svg");

var PreviewBox =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "en1hwyh0",
  label: "PreviewBox"
})({
  textAlign: "center",
  height: 50,
  svg: {
    height: 50,
    width: 50
  }
});

var _default = function _default() {
  return [(0, _createEmbedPlugin.createEmbedPlugin)({
    type: "soundcloud",
    toolbar: {
      title: "Soundcloud",
      group: "cms-element-group-media",
      preview: function preview() {
        return _react.default.createElement(PreviewBox, null, _react.default.createElement(_soundcloudBrands.ReactComponent, null));
      }
    }
  }), (0, _createEmbedPlugin.createEmbedSettingsPlugin)({
    type: "soundcloud",
    render: function render(_ref) {
      var Bind = _ref.Bind;
      return _react.default.createElement(_Tabs.Tab, {
        icon: _react.default.createElement(_roundMusic_video24px.ReactComponent, null),
        label: "Soundcloud"
      }, _react.default.createElement(_Grid.Grid, null, _react.default.createElement(_Grid.Cell, {
        span: 12
      }, _react.default.createElement(Bind, {
        name: "source.url",
        validators: ["required", "url"]
      }, _react.default.createElement(_Input.Input, {
        label: "Song URL",
        description: "Enter a song URL"
      })))));
    }
  })];
};

exports.default = _default;
//# sourceMappingURL=index.js.map