"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _ConnectedElement = _interopRequireDefault(require("webiny-app-cms/editor/components/ConnectedElement"));

var _ElementRoot = require("webiny-app-cms/render/components/ElementRoot");

var _RowContainer = _interopRequireDefault(require("./RowContainer"));

var _ElementAnimation = _interopRequireDefault(require("webiny-app-cms/render/components/ElementAnimation"));

/**
 * TODO: this entire component can be further optimized (see the Chrome Profiler) to avoid unnecessary elements re-renders.
 */
var Row = function Row(_ref) {
  var element = _ref.element;
  return _react.default.createElement(_ElementAnimation.default, null, _react.default.createElement(_ElementRoot.ElementRoot, {
    element: element,
    className: "webiny-cms-base-element-style webiny-cms-layout-row",
    style: {
      zIndex: 20,
      position: "relative"
    }
  }, _react.default.createElement(_ConnectedElement.default, {
    elementId: element.id,
    withChildElements: true
  }, function (element) {
    return _react.default.createElement(_RowContainer.default, {
      elementId: element.id
    });
  })));
};

var _default = Row;
exports.default = _default;
//# sourceMappingURL=Row.js.map