"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _Tabs = require("webiny-ui/Tabs");

var _Input = require("webiny-ui/Input");

var _Select = require("webiny-ui/Select");

var _Grid = require("webiny-ui/Grid");

var _roundPeople24px = require("@svgr/webpack!./../../../elementGroups/social/round-people-24px.svg");

var _createEmbedPlugin = require("./../../utils/oembed/createEmbedPlugin");

var _PinterestEmbed = _interopRequireDefault(require("./PinterestEmbed"));

var _pinterestBrands = require("@svgr/webpack!./pinterest-brands.svg");

var PreviewBox =
/*#__PURE__*/
(0, _reactEmotion.default)("div", {
  target: "eanboje0",
  label: "PreviewBox"
})({
  textAlign: "center",
  height: 50,
  svg: {
    height: 50,
    width: 50
  }
});

var _default = function _default() {
  return [(0, _createEmbedPlugin.createEmbedPlugin)({
    type: "pinterest",
    toolbar: {
      title: "Pinterest post",
      group: "cms-element-group-social",
      preview: function preview() {
        return _react.default.createElement(PreviewBox, null, _react.default.createElement(_pinterestBrands.ReactComponent, null));
      }
    },
    render: function render(_ref) {
      var element = _ref.element;
      return _react.default.createElement(_PinterestEmbed.default, {
        element: element
      });
    }
  }), (0, _createEmbedPlugin.createEmbedSettingsPlugin)({
    type: "pinterest",
    render: function render(_ref2) {
      var Bind = _ref2.Bind;
      return _react.default.createElement(_Tabs.Tab, {
        icon: _react.default.createElement(_roundPeople24px.ReactComponent, null),
        label: "Pinterest"
      }, _react.default.createElement(_Grid.Grid, null, _react.default.createElement(_Grid.Cell, {
        span: 12
      }, _react.default.createElement(Bind, {
        name: "source.url",
        validators: ["required", "url"]
      }, _react.default.createElement(_Input.Input, {
        label: "Pinterest URL",
        description: "Enter a Pinterest URL"
      }))), _react.default.createElement(_Grid.Cell, {
        span: 12
      }, _react.default.createElement(Bind, {
        defaultValue: "small",
        name: "source.size"
      }, _react.default.createElement(_Select.Select, {
        label: "Size"
      }, _react.default.createElement("option", {
        value: "small"
      }, "Small"), _react.default.createElement("option", {
        value: "medium"
      }, "Medium"), _react.default.createElement("option", {
        value: "large"
      }, "Large"))))));
    }
  })];
};

exports.default = _default;
//# sourceMappingURL=index.js.map