"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _react = _interopRequireDefault(require("react"));

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _Spacer = _interopRequireWildcard(require("./Spacer"));

var _spacerIcon = require("@svgr/webpack!webiny-app-cms/editor/assets/icons/spacer-icon.svg");

require("./actions");

var _default = function _default() {
  var PreviewBox =
  /*#__PURE__*/
  (0, _reactEmotion.default)("div", {
    target: "e1wvihn20",
    label: "PreviewBox"
  })({
    textAlign: "center",
    height: 50,
    svg: {
      height: 50,
      width: 50
    }
  });
  return {
    name: "cms-element-spacer",
    type: "cms-element",
    toolbar: {
      title: "Spacer",
      group: "cms-element-group-layout",
      preview: function preview() {
        return _react.default.createElement(PreviewBox, null, _react.default.createElement(_spacerIcon.ReactComponent, null));
      }
    },
    settings: ["cms-element-settings-delete"],
    target: ["cms-element-block", "cms-element-column"],
    create: function create() {
      var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
      return (0, _objectSpread2.default)({
        type: "cms-element-spacer",
        data: {
          settings: {
            height: _Spacer.INIT_HEIGHT,
            margin: {
              desktop: {
                all: 0
              }
            },
            padding: {
              desktop: {
                all: 0
              }
            }
          }
        }
      }, options);
    },
    render: function render(props) {
      return _react.default.createElement(_Spacer.default, props);
    }
  };
};

exports.default = _default;
//# sourceMappingURL=index.js.map