"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.className = void 0;

var _withHandlers2 = _interopRequireDefault(require("recompose/withHandlers"));

var _compose2 = _interopRequireDefault(require("recompose/compose"));

var _react = _interopRequireDefault(require("react"));

var _redux = require("webiny-app-cms/editor/redux");

var _dotPropImmutable = require("dot-prop-immutable");

var _ConnectedSlate = _interopRequireDefault(require("webiny-app-cms/editor/components/ConnectedSlate"));

var _ElementRoot = require("webiny-app-cms/render/components/ElementRoot");

var _actions = require("webiny-app-cms/editor/actions");

var _selectors = require("webiny-app-cms/editor/selectors");

var className = "webiny-cms-base-element-style webiny-cms-element-text";
exports.className = className;

var Text = function Text(_ref) {
  var element = _ref.element,
      onChange = _ref.onChange;
  return _react.default.createElement(_ElementRoot.ElementRoot, {
    element: element,
    className: className
  }, _react.default.createElement(_ConnectedSlate.default, {
    elementId: element.id,
    onChange: onChange
  }));
};

var _default = (0, _compose2.default)((0, _redux.connect)(function (state, props) {
  return {
    element: (0, _selectors.getElement)(state, props.elementId)
  };
}, {
  updateElement: _actions.updateElement
}), (0, _withHandlers2.default)({
  onChange: function onChange(_ref2) {
    var element = _ref2.element,
        updateElement = _ref2.updateElement;
    return function (value) {
      updateElement({
        element: (0, _dotPropImmutable.set)(element, "data.text", value)
      });
    };
  }
}))(Text);

exports.default = _default;
//# sourceMappingURL=Text.js.map