"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _compose2 = _interopRequireDefault(require("recompose/compose"));

var React = _interopRequireWildcard(require("react"));

var _Input = require("webiny-ui/Input");

var _Grid = require("webiny-ui/Grid");

var _withOEmbedData = _interopRequireDefault(require("webiny-app-cms/editor/components/withOEmbedData"));

var OEmbedInput = function OEmbedInput(_ref) {
  var Bind = _ref.Bind,
      urlPlaceholder = _ref.urlPlaceholder,
      urlDescription = _ref.urlDescription,
      getOEmbedData = _ref.getOEmbedData;
  return React.createElement(_Grid.Grid, null, React.createElement(_Grid.Cell, {
    span: 12
  }, React.createElement(Bind, {
    name: "oembed"
  }, function (_ref2) {
    var onChange = _ref2.onChange;
    return React.createElement(Bind, {
      name: "url",
      defaultValue: "",
      validators: ["required"],
      beforeChange:
      /*#__PURE__*/
      function () {
        var _ref3 = (0, _asyncToGenerator2.default)(
        /*#__PURE__*/
        _regenerator.default.mark(function _callee(value, cb) {
          return _regenerator.default.wrap(function _callee$(_context) {
            while (1) {
              switch (_context.prev = _context.next) {
                case 0:
                  cb(value);
                  _context.t0 = onChange;
                  _context.next = 4;
                  return getOEmbedData(value);

                case 4:
                  _context.t1 = _context.sent;
                  (0, _context.t0)(_context.t1);

                case 6:
                case "end":
                  return _context.stop();
              }
            }
          }, _callee, this);
        }));

        return function (_x, _x2) {
          return _ref3.apply(this, arguments);
        };
      }()
    }, React.createElement(_Input.Input, {
      placeholder: urlPlaceholder,
      description: urlDescription
    }));
  })));
};

var _default = (0, _compose2.default)((0, _withOEmbedData.default)())(OEmbedInput);

exports.default = _default;
//# sourceMappingURL=OEmbedInput.js.map