"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var React = _interopRequireWildcard(require("react"));

var _DelayedOnChange = require("webiny-app-cms/editor/components/DelayedOnChange");

var _Grid = require("webiny-ui/Grid");

var _Input = require("webiny-ui/Input");

var _MetaTags = _interopRequireDefault(require("./MetaTags"));

var SocialSettings = function SocialSettings(_ref) {
  var Bind = _ref.Bind;
  return React.createElement(React.Fragment, null, React.createElement(_Grid.Grid, null, React.createElement(_Grid.Cell, {
    span: 12
  }, React.createElement(Bind, {
    name: "settings.seo.title"
  }, React.createElement(_DelayedOnChange.DelayedOnChange, null, React.createElement(_Input.Input, {
    label: "Title",
    description: "SEO title"
  }))))), React.createElement(_Grid.Grid, null, React.createElement(_Grid.Cell, {
    span: 12
  }, React.createElement(Bind, {
    name: "settings.seo.description"
  }, React.createElement(_DelayedOnChange.DelayedOnChange, null, React.createElement(_Input.Input, {
    rows: 4,
    label: "Description",
    description: "SEO description"
  }))))), React.createElement(Bind, {
    name: "settings.seo.meta",
    defaultValue: []
  }, function (props) {
    return React.createElement(_MetaTags.default, (0, _extends2.default)({
      prefix: "settings.seo.meta",
      Bind: Bind
    }, props));
  }));
};

var _default = SocialSettings;
exports.default = _default;
//# sourceMappingURL=SeoSettings.js.map