"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var React = _interopRequireWildcard(require("react"));

var _DelayedOnChange = require("webiny-app-cms/editor/components/DelayedOnChange");

var _Grid = require("webiny-ui/Grid");

var _Input = require("webiny-ui/Input");

var _OpenGraphTags = _interopRequireDefault(require("./OpenGraphTags"));

var _PageImage = _interopRequireDefault(require("./PageImage"));

var SocialSettings = function SocialSettings(_ref) {
  var Bind = _ref.Bind;
  return React.createElement(React.Fragment, null, React.createElement(_Grid.Grid, null, React.createElement(_Grid.Cell, {
    span: 12
  }, React.createElement(Bind, {
    name: "settings.social.title"
  }, React.createElement(_DelayedOnChange.DelayedOnChange, null, React.createElement(_Input.Input, {
    label: "Title (leave blank to use your page title)",
    description: "Social media title (og:title)."
  }))))), React.createElement(_Grid.Grid, null, React.createElement(_Grid.Cell, {
    span: 12
  }, React.createElement(Bind, {
    name: "settings.social.description"
  }, React.createElement(_DelayedOnChange.DelayedOnChange, null, React.createElement(_Input.Input, {
    label: "Description (leave blank to use your page snippet)",
    description: "Social media description (og:description)."
  }))))), React.createElement(_Grid.Grid, null, React.createElement(_Grid.Cell, {
    span: 12
  }, React.createElement(Bind, {
    name: "settings.social.image"
  }, React.createElement(_PageImage.default, {
    label: "Social Image",
    imageEditor: {
      crop: {
        autoEnable: true,
        aspectRatio: 1596 / 545
      }
    }
  })))), React.createElement(Bind, {
    name: "settings.social.meta",
    defaultValue: []
  }, function (props) {
    return React.createElement(_OpenGraphTags.default, (0, _extends2.default)({
      prefix: "settings.social.meta",
      Bind: Bind
    }, props));
  }));
};

var _default = SocialSettings;
exports.default = _default;
//# sourceMappingURL=SocialSettings.js.map