"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _isHotkey = _interopRequireDefault(require("is-hotkey"));

var _default = function _default() {
  return {
    editor: [{
      name: "cms-slate-editor-break",
      type: "cms-slate-editor",
      slate: {
        onKeyDown: function onKeyDown(e, change, next) {
          if ((0, _isHotkey.default)("shift+enter", e)) {
            return change.splitBlock().setBlocks("paragraph");
          }

          return next();
        }
      }
    }]
  };
};

exports.default = _default;
//# sourceMappingURL=index.js.map