"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _bold = _interopRequireDefault(require("./bold"));

var _italic = _interopRequireDefault(require("./italic"));

var _underline = _interopRequireDefault(require("./underline"));

var _lists = _interopRequireDefault(require("./lists"));

var _code = _interopRequireDefault(require("./code"));

var _break = _interopRequireDefault(require("./break"));

var _block = _interopRequireDefault(require("./block"));

var _link = _interopRequireDefault(require("./link"));

var blockPlugins = (0, _block.default)();
var boldPlugins = (0, _bold.default)();
var italicPlugins = (0, _italic.default)();
var underlinePlugins = (0, _underline.default)();
var codePlugins = (0, _code.default)();
var linkPlugins = (0, _link.default)();
var listsPlugins = (0, _lists.default)();
var breakPlugins = (0, _break.default)();

var _default = [].concat((0, _toConsumableArray2.default)(blockPlugins.menu), (0, _toConsumableArray2.default)(boldPlugins.menu), (0, _toConsumableArray2.default)(italicPlugins.menu), (0, _toConsumableArray2.default)(underlinePlugins.menu), (0, _toConsumableArray2.default)(codePlugins.menu), (0, _toConsumableArray2.default)(linkPlugins.menu), (0, _toConsumableArray2.default)(listsPlugins.menu), (0, _toConsumableArray2.default)(boldPlugins.editor), (0, _toConsumableArray2.default)(italicPlugins.editor), (0, _toConsumableArray2.default)(underlinePlugins.editor), (0, _toConsumableArray2.default)(codePlugins.editor), (0, _toConsumableArray2.default)(listsPlugins.editor), (0, _toConsumableArray2.default)(linkPlugins.editor), (0, _toConsumableArray2.default)(breakPlugins.editor), (0, _toConsumableArray2.default)(blockPlugins.editor));

exports.default = _default;
//# sourceMappingURL=index.js.map