"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _emotion = require("emotion");

var _reactEmotion = require("react-emotion");

var _classnames4 = _interopRequireDefault(require("classnames"));

var _SlideOutline = _interopRequireDefault(require("./SlideOutline"));

var _slide3Icon = require("@svgr/webpack!../assets/slide-3-icon.svg");

var _handIcon = require("@svgr/webpack!../assets/hand-icon.svg");

var _blockMock = require("@svgr/webpack!../assets/block-mock.svg");

var _slide3Hover = require("@svgr/webpack!../assets/slide-3-hover.svg");

var _slide3ElementList = require("@svgr/webpack!../assets/slide-3-element-list.svg");

var handPulsateSlide3 =
/*#__PURE__*/
(0, _reactEmotion.keyframes)("0%{display:none;visibility:hidden;opacity:0;}50%{display:none;visibility:hidden;opacity:0;}100%{display:block;visibility:block;opacity:1;}label:handPulsateSlide3;");
var elementListAppearSlide3 =
/*#__PURE__*/
(0, _reactEmotion.keyframes)("0%{opacity:0;}90%{opacity:0;transform:translateX(-25px);}100%{transform:translateX(0px);opacity:1;}label:elementListAppearSlide3;");
var hoverAppearSlide3 =
/*#__PURE__*/
(0, _reactEmotion.keyframes)("0%{opacity:0;}66%{opacity:0;}100%{opacity:1;}label:hoverAppearSlide3;");
var svgElement =
/*#__PURE__*/
(0, _emotion.css)({
  display: "none",
  position: "absolute"
}, "label:svgElement;");
var handStylesSlide3 =
/*#__PURE__*/
(0, _emotion.css)({
  display: "block",
  left: 38,
  top: 36,
  width: 25,
  height: "auto",
  zIndex: 10,
  animationName: handPulsateSlide3,
  animationIterationCount: 1,
  animationTimingFunction: "ease-in",
  animationDuration: "4s"
}, "label:handStylesSlide3;");
var blockMockStyleSlide3 =
/*#__PURE__*/
(0, _emotion.css)({
  position: "absolute",
  display: "block",
  left: 115,
  top: 85
}, "label:blockMockStyleSlide3;");
var hoverStyleSlide3 =
/*#__PURE__*/
(0, _emotion.css)({
  left: 100,
  top: 70,
  display: "block",
  animationName: hoverAppearSlide3,
  animationIterationCount: 1,
  animationTimingFunction: "ease-in",
  animationDuration: "2s"
}, "label:hoverStyleSlide3;");
var elementListStyleSlide3 =
/*#__PURE__*/
(0, _emotion.css)({
  left: 43,
  top: 32,
  display: "block",
  animationName: elementListAppearSlide3,
  animationIterationCount: 1,
  animationTimingFunction: "ease-in",
  animationDuration: "4s"
}, "label:elementListStyleSlide3;");

var Slide3 =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(Slide3, _React$Component);

  function Slide3() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, Slide3);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(Slide3)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "slideNumber", 3);
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "editorContent", function () {
      return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_handIcon.ReactComponent, {
        className: (0, _classnames4.default)(svgElement, (0, _defineProperty2.default)({}, handStylesSlide3, _this.props.currentSlide === _this.slideNumber))
      }), _react.default.createElement(_blockMock.ReactComponent, {
        className: blockMockStyleSlide3
      }), _react.default.createElement(_slide3Hover.ReactComponent, {
        className: (0, _classnames4.default)(svgElement, (0, _defineProperty2.default)({}, hoverStyleSlide3, _this.props.currentSlide === _this.slideNumber))
      }), _react.default.createElement(_slide3ElementList.ReactComponent, {
        className: (0, _classnames4.default)(svgElement, (0, _defineProperty2.default)({}, elementListStyleSlide3, _this.props.currentSlide === _this.slideNumber))
      }));
    });
    return _this;
  }

  (0, _createClass2.default)(Slide3, [{
    key: "render",
    value: function render() {
      return _react.default.createElement(_SlideOutline.default, {
        title: "Rows",
        description: "Inside each block, you have one or more  rows. Rows are used to spread content\n" + "vertically. To add a new row, click the plus icon in the top left corner, \n" + "you will find rows under Layouts section.",
        learnMoreText: "Click here to learn more about Rows.",
        learnMoreLink: "https://docs.webiny.com/cms/rows",
        icon: _react.default.createElement(_slide3Icon.ReactComponent, null),
        editorContent: this.editorContent()
      });
    }
  }]);
  return Slide3;
}(_react.default.Component);

var _default = Slide3;
exports.default = _default;
//# sourceMappingURL=Slide3.js.map