"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _emotion = require("emotion");

var _reactEmotion = require("react-emotion");

var _classnames2 = _interopRequireDefault(require("classnames"));

var _SlideOutline = _interopRequireDefault(require("./SlideOutline"));

var _slide4Icon = require("@svgr/webpack!../assets/slide-4-icon.svg");

var _blockMock = require("@svgr/webpack!../assets/block-mock.svg");

var _slide4Hover = require("@svgr/webpack!../assets/slide-4-hover.svg");

var hoverAppearSlide4 =
/*#__PURE__*/
(0, _reactEmotion.keyframes)("0%{opacity:0;}66%{opacity:0;}100%{opacity:1;}label:hoverAppearSlide4;");
var svgElement =
/*#__PURE__*/
(0, _emotion.css)({
  display: "none",
  position: "absolute"
}, "label:svgElement;");
var blockMockStyleSlide4 =
/*#__PURE__*/
(0, _emotion.css)({
  position: "absolute",
  display: "block",
  left: 115,
  top: 85
}, "label:blockMockStyleSlide4;");
var hoverStyleSlide4 =
/*#__PURE__*/
(0, _emotion.css)({
  left: 110,
  top: 81,
  display: "block",
  animationName: hoverAppearSlide4,
  animationIterationCount: 1,
  animationTimingFunction: "ease-in",
  animationDuration: "2s"
}, "label:hoverStyleSlide4;");

var Slide4 =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(Slide4, _React$Component);

  function Slide4() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, Slide4);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(Slide4)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "slideNumber", 4);
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "editorContent", function () {
      return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_blockMock.ReactComponent, {
        className: blockMockStyleSlide4
      }), _react.default.createElement(_slide4Hover.ReactComponent, {
        className: (0, _classnames2.default)(svgElement, (0, _defineProperty2.default)({}, hoverStyleSlide4, _this.props.currentSlide === _this.slideNumber))
      }));
    });
    return _this;
  }

  (0, _createClass2.default)(Slide4, [{
    key: "render",
    value: function render() {
      return _react.default.createElement(_SlideOutline.default, {
        title: "Columns",
        description: "Inside each row, you can have one or more columns stacked horizontally. You will \n" + "find columns under the same section a Rows.",
        learnMoreText: "Click here to learn more about Columns.",
        learnMoreLink: "https://docs.webiny.com/cms/columns",
        icon: _react.default.createElement(_slide4Icon.ReactComponent, null),
        editorContent: this.editorContent()
      });
    }
  }]);
  return Slide4;
}(_react.default.Component);

var _default = Slide4;
exports.default = _default;
//# sourceMappingURL=Slide4.js.map