"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _emotion = require("emotion");

var _reactEmotion = require("react-emotion");

var _classnames3 = _interopRequireDefault(require("classnames"));

var _SlideOutline = _interopRequireDefault(require("./SlideOutline"));

var _slide5Icon = require("@svgr/webpack!../assets/slide-5-icon.svg");

var _handIcon = require("@svgr/webpack!../assets/hand-icon.svg");

var _blockMock = require("@svgr/webpack!../assets/block-mock.svg");

var _slide4Hover = require("@svgr/webpack!../assets/slide-4-hover.svg");

var _slide5ElementList = require("@svgr/webpack!../assets/slide-5-element-list.svg");

var handPulsateSlide5 =
/*#__PURE__*/
(0, _reactEmotion.keyframes)("0%{display:none;visibility:hidden;opacity:0;}50%{display:none;visibility:hidden;opacity:0;}100%{display:block;visibility:block;opacity:1;}label:handPulsateSlide5;");
var elementListAppearSlide5 =
/*#__PURE__*/
(0, _reactEmotion.keyframes)("0%{opacity:0;}90%{opacity:0;transform:translateX(-25px);}100%{transform:translateX(0px);opacity:1;}label:elementListAppearSlide5;");
var svgElement =
/*#__PURE__*/
(0, _emotion.css)({
  display: "none",
  position: "absolute"
}, "label:svgElement;");
var handStylesSlide5 =
/*#__PURE__*/
(0, _emotion.css)({
  display: "block",
  left: 38,
  top: 36,
  width: 25,
  height: "auto",
  zIndex: 10,
  animationName: handPulsateSlide5,
  animationIterationCount: 1,
  animationTimingFunction: "ease-in",
  animationDuration: "2s"
}, "label:handStylesSlide5;");
var blockMockStyleSlide5 =
/*#__PURE__*/
(0, _emotion.css)({
  position: "absolute",
  display: "block",
  left: 115,
  top: 85
}, "label:blockMockStyleSlide5;");
var hoverStyleSlide5 =
/*#__PURE__*/
(0, _emotion.css)({
  position: "absolute",
  left: 110,
  top: 81,
  display: "block"
}, "label:hoverStyleSlide5;");
var elementListStyleSlide5 =
/*#__PURE__*/
(0, _emotion.css)({
  left: 43,
  top: 32,
  display: "block",
  animationName: elementListAppearSlide5,
  animationIterationCount: 1,
  animationTimingFunction: "ease-in",
  animationDuration: "2s"
}, "label:elementListStyleSlide5;");

var Slide5 =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(Slide5, _React$Component);

  function Slide5() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, Slide5);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(Slide5)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "slideNumber", 5);
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "editorContent", function () {
      return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_handIcon.ReactComponent, {
        className: (0, _classnames3.default)(svgElement, (0, _defineProperty2.default)({}, handStylesSlide5, _this.props.currentSlide === _this.slideNumber))
      }), _react.default.createElement(_blockMock.ReactComponent, {
        className: blockMockStyleSlide5
      }), _react.default.createElement(_slide4Hover.ReactComponent, {
        className: hoverStyleSlide5
      }), _react.default.createElement(_slide5ElementList.ReactComponent, {
        className: (0, _classnames3.default)(svgElement, (0, _defineProperty2.default)({}, elementListStyleSlide5, _this.props.currentSlide === _this.slideNumber))
      }));
    });
    return _this;
  }

  (0, _createClass2.default)(Slide5, [{
    key: "render",
    value: function render() {
      return _react.default.createElement(_SlideOutline.default, {
        title: "Content",
        description: "Content resides inside columns. You can add different types of content, such as text, \n" + "images, videos, buttons, and many more. Using those basic elements you can \n" + "create a whole plethora of different content.",
        learnMoreText: "Click here to learn more about Content.",
        learnMoreLink: "https://docs.webiny.com/cms/content",
        icon: _react.default.createElement(_slide5Icon.ReactComponent, null),
        editorContent: this.editorContent()
      });
    }
  }]);
  return Slide5;
}(_react.default.Component);

var _default = Slide5;
exports.default = _default;
//# sourceMappingURL=Slide5.js.map