"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _once2 = _interopRequireDefault(require("lodash/once"));

var _throttle2 = _interopRequireDefault(require("lodash/throttle"));

var React = _interopRequireWildcard(require("react"));

var _aos = _interopRequireDefault(require("aos"));

require("aos/dist/aos.css");

var init = (0, _once2.default)(function () {
  return setTimeout(_aos.default.init, 500);
});
var refresh = (0, _throttle2.default)(_aos.default.refreshHard, 250);

var ElementAnimation =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(ElementAnimation, _React$Component);

  function ElementAnimation() {
    (0, _classCallCheck2.default)(this, ElementAnimation);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(ElementAnimation).apply(this, arguments));
  }

  (0, _createClass2.default)(ElementAnimation, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      init();
      refresh();
    }
  }, {
    key: "render",
    value: function render() {
      var children = this.props.children;

      if (typeof children === "function") {
        return children({
          init: init,
          refresh: refresh
        });
      }

      return this.props.children;
    }
  }]);
  return ElementAnimation;
}(React.Component);

var _default = ElementAnimation;
exports.default = _default;
//# sourceMappingURL=ElementAnimation.js.map