"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElementRoot = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _isEqual2 = _interopRequireDefault(require("lodash/isEqual"));

var _react = _interopRequireDefault(require("react"));

var _dotPropImmutable = require("dot-prop-immutable");

var _webinyPlugins = require("webiny-plugins");

var Node = "div";

var combineClassNames = function combineClassNames() {
  for (var _len = arguments.length, styles = new Array(_len), _key = 0; _key < _len; _key++) {
    styles[_key] = arguments[_key];
  }

  return styles.filter(function (s) {
    return s !== "" && s !== "css-0";
  }).join(" ");
};

var ElementRoot =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(ElementRoot, _React$Component);

  function ElementRoot() {
    var _this;

    (0, _classCallCheck2.default)(this, ElementRoot);
    _this = (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(ElementRoot).call(this));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "stylePlugins", void 0);
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "attributePlugins", void 0);
    _this.stylePlugins = (0, _webinyPlugins.getPlugins)("cms-render-element-style");
    _this.attributePlugins = (0, _webinyPlugins.getPlugins)("cms-render-element-attributes");
    return _this;
  }

  (0, _createClass2.default)(ElementRoot, [{
    key: "shouldComponentUpdate",
    value: function shouldComponentUpdate(props) {
      return !(0, _isEqual2.default)(props.element.data, this.props.element.data);
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          element = _this$props.element,
          _this$props$style = _this$props.style,
          style = _this$props$style === void 0 ? {} : _this$props$style,
          children = _this$props.children,
          _this$props$className = _this$props.className,
          className = _this$props$className === void 0 ? null : _this$props$className;
      var shallowElement = {
        id: element.id,
        type: element.type,
        data: element.data
      };
      var finalStyle = this.stylePlugins.reduce(function (style, pl) {
        return pl.renderStyle({
          element: shallowElement,
          style: style
        });
      }, style);
      var attributes = this.attributePlugins.reduce(function (attributes, pl) {
        return pl.renderAttributes({
          element: shallowElement,
          attributes: attributes
        });
      }, {});
      var classNames = (0, _dotPropImmutable.get)(element, "data.settings.className", "");

      var getAllClasses = function getAllClasses() {
        for (var _len2 = arguments.length, extraClasses = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
          extraClasses[_key2] = arguments[_key2];
        }

        return [className].concat(extraClasses, (0, _toConsumableArray2.default)(classNames.split(" "))).filter(function (v) {
          return v && v !== "css-0";
        }).join(" ");
      };

      if (typeof children === "function") {
        return children({
          getAllClasses: getAllClasses,
          combineClassNames: combineClassNames,
          elementStyle: finalStyle,
          elementAttributes: attributes,
          customClasses: classNames.split(" ")
        });
      }

      return _react.default.createElement(Node, (0, _extends2.default)({
        className: getAllClasses(),
        style: finalStyle
      }, attributes), children);
    }
  }]);
  return ElementRoot;
}(_react.default.Component);

exports.ElementRoot = ElementRoot;
//# sourceMappingURL=ElementRoot.js.map