"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _get5 = _interopRequireDefault(require("lodash/get"));

var vertical = {
  start: "flex-start",
  center: "center",
  end: "flex-end"
};
var _default = [{
  name: "cms-render-element-style-horizontal-align",
  type: "cms-render-element-style",
  renderStyle: function renderStyle(_ref) {
    var element = _ref.element,
        style = _ref.style;

    var _get2 = (0, _get5.default)(element, "data.settings", {}),
        horizontalAlign = _get2.horizontalAlign;

    if (!horizontalAlign) {
      return style;
    }

    return (0, _objectSpread2.default)({}, style, {
      textAlign: horizontalAlign
    });
  }
}, {
  name: "cms-render-element-style-horizontal-align-flex",
  type: "cms-render-element-style",
  renderStyle: function renderStyle(_ref2) {
    var element = _ref2.element,
        style = _ref2.style;

    var _get3 = (0, _get5.default)(element, "data.settings", {}),
        horizontalAlignFlex = _get3.horizontalAlignFlex;

    if (!horizontalAlignFlex) {
      return style;
    }

    return (0, _objectSpread2.default)({}, style, {
      alignItems: horizontalAlignFlex
    });
  }
}, {
  name: "cms-render-element-style-vertical-align",
  type: "cms-render-element-style",
  renderStyle: function renderStyle(_ref3) {
    var element = _ref3.element,
        style = _ref3.style;

    var _get4 = (0, _get5.default)(element, "data.settings", {}),
        verticalAlign = _get4.verticalAlign;

    if (!verticalAlign) {
      return style;
    }

    return (0, _objectSpread2.default)({}, style, {
      justifyContent: vertical[verticalAlign]
    });
  }
}];
exports.default = _default;
//# sourceMappingURL=index.js.map