"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _get3 = _interopRequireDefault(require("lodash/get"));

var _default = {
  name: "cms-render-element-attributes-animation",
  type: "cms-render-element-attributes",
  renderAttributes: function renderAttributes(_ref) {
    var element = _ref.element,
        attributes = _ref.attributes;

    var _get2 = (0, _get3.default)(element, "data.settings", {}),
        animation = _get2.animation;

    if (!animation) {
      return attributes;
    }

    var attrs = {
      "data-aos": animation.name
    };

    if (animation.advanced) {
      attrs["data-aos-duration"] = animation.duration;
      attrs["data-aos-delay"] = animation.delay;
      attrs["data-aos-offset"] = animation.offset;
      attrs["data-aos-easing"] = animation.easing;
    }

    return (0, _objectSpread2.default)({}, attributes, attrs);
  }
};
exports.default = _default;
//# sourceMappingURL=index.js.map