"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _get3 = _interopRequireDefault(require("lodash/get"));

var _default = {
  name: "cms-render-element-style-height",
  type: "cms-render-element-style",
  renderStyle: function renderStyle(_ref) {
    var element = _ref.element,
        style = _ref.style;

    var _get2 = (0, _get3.default)(element, "data.settings", {}),
        height = _get2.height;

    if (!height) {
      return style;
    }

    if (height.fullHeight) {
      // If `fullHeight=true`, we completely ignore the height value.
      style.height = "100vh";
    } else {
      style.height = height.value;
    }

    return style;
  }
};
exports.default = _default;
//# sourceMappingURL=index.js.map