"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _OEmbed = _interopRequireDefault(require("webiny-app-cms/render/components/OEmbed"));

var _VimeoEmbed = _interopRequireDefault(require("./VimeoEmbed"));

var _default = function _default() {
  var renderEmbed = function renderEmbed(props) {
    return _react.default.createElement(_VimeoEmbed.default, props);
  };

  return {
    name: "cms-render-element-vimeo",
    type: "cms-render-element",
    element: "cms-element-vimeo",
    render: function render(props) {
      return _react.default.createElement(_OEmbed.default, {
        element: props.element,
        renderEmbed: renderEmbed
      });
    }
  };
};

exports.default = _default;
//# sourceMappingURL=index.js.map