"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Element = _interopRequireDefault(require("webiny-app-cms/render/components/Element"));

var _ElementRoot = require("webiny-app-cms/render/components/ElementRoot");

var _ElementAnimation = _interopRequireDefault(require("webiny-app-cms/render/components/ElementAnimation"));

var Row = function Row(_ref) {
  var element = _ref.element;
  return _react.default.createElement(_ElementAnimation.default, null, _react.default.createElement(_ElementRoot.ElementRoot, {
    element: element,
    className: "webiny-cms-base-element-style webiny-cms-layout-row"
  }, element.elements.map(function (element) {
    return (
      /* $FlowFixMe */
      element.data ? _react.default.createElement(_Element.default, {
        key: element.id,
        element: element
      }) : null
    );
  })));
};

var _default = Row;
exports.default = _default;
//# sourceMappingURL=Row.js.map