"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _default = function _default() {
  return {
    name: "cms-render-slate-editor-link",
    type: "cms-render-slate-editor",
    slate: {
      renderNode: function renderNode(props, next) {
        var attributes = props.attributes,
            children = props.children,
            node = props.node;

        if (node.type === "link") {
          var data = node.data;
          var href = data.get("href");
          var noFollow = data.get("noFollow");
          var newTab = data.get("newTab");
          return _react.default.createElement("a", (0, _extends2.default)({}, attributes, {
            href: href,
            rel: noFollow ? "nofollow" : null
          }, {
            target: newTab ? "_blank" : "_self"
          }), children);
        }

        return next();
      }
    }
  };
};

exports.default = _default;
//# sourceMappingURL=index.js.map