"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _react = _interopRequireDefault(require("react"));

var _default = function _default() {
  return {
    name: "cms-render-slate-editor-typography",
    type: "cms-render-slate-editor",
    slate: {
      renderNode: function renderNode(props, next) {
        var attributes = props.attributes,
            children = props.children,
            node = props.node,
            editor = props.editor;
        var type = node.type;
        var typography = editor.props.theme.typography;

        if (typography.hasOwnProperty(type) && typography[type].component) {
          var _typography$type = typography[type],
              Node = _typography$type.component,
              _typography$type$clas = _typography$type.className,
              className = _typography$type$clas === void 0 ? null : _typography$type$clas;
          var nodeProps = (0, _objectSpread2.default)({}, attributes, {
            className: className,
            style: {
              textAlign: "".concat(node.data.get("align"))
            }
          });

          if (typeof Node !== "string") {
            nodeProps = props;
          }

          return _react.default.createElement(Node, nodeProps, children);
        }

        return next();
      }
    }
  };
};

exports.default = _default;
//# sourceMappingURL=index.js.map