"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _context = require("webiny-app-cms/context");

var Layout = function Layout(_ref) {
  var theme = _ref.cms.theme,
      layout = _ref.layout,
      children = _ref.children;
  var themeLayout = theme.layouts.find(function (l) {
    return l.name === layout;
  });

  if (!themeLayout) {
    return children;
  }

  return React.createElement(themeLayout.component, null, children);
};

var _default = (0, _context.withCms)()(Layout);

exports.default = _default;
//# sourceMappingURL=Layout.js.map