"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getPageSettingsFields = _interopRequireDefault(require("./getPageSettingsFields"));

var getDataFields = function getDataFields() {
  return (
    /* GraphQL */
    "\n        {\n            id\n            title\n            url\n            version\n            publishedOn\n            snippet\n            content\n            createdBy {\n                firstName\n                lastName\n            }\n            settings {\n                _empty\n                ".concat((0, _getPageSettingsFields.default)(), "\n            }\n            category {\n                id\n                name\n            }\n        }\n    ")
  );
};

var _default = getDataFields;
exports.default = _default;
//# sourceMappingURL=getDataFields.js.map